//Исходные данные для тестирования
indexMatrix1 = [2, 3, 5];
indexMatrix2 = [12, 13, 18;..
                45, 78, 93;..
                 3, 17, 76];
indexMatrix3 = [1;..
                3;..
                5;..
                9];
indexMatrix4 = [ 1,  2,  5,  8;..
                 3,  5,  8,  0;..
                10, 11,  3,  3;..
                12, 21, 34,  4;..
                25, 33, 25, 80;..
                11, 14, 17, 19;..
                 0, 13, 47, 52;..
                 1, 23, 36, 53;..
                24, 45, 57, 88;..
                23, 22, 25, 43;..
                12, 21, 20, 30;..
                 1,  3,  5,  4];

//Эталонная конкатенованая матрица
etIndexMatrix = [2, 3, 5, 12, 13, 18, 1,  1,  2,  5,  8;..
                 2, 3, 5, 12, 13, 18, 3,  3,  5,  8,  0;..
                 2, 3, 5, 12, 13, 18, 5, 10, 11,  3,  3;..
                 2, 3, 5, 12, 13, 18, 9, 12, 21, 34,  4;..
                 2, 3, 5, 45, 78, 93, 1, 25, 33, 25, 80;..
                 2, 3, 5, 45, 78, 93, 3, 11, 14, 17, 19;..
                 2, 3, 5, 45, 78, 93, 5,  0, 13, 47, 52;..
                 2, 3, 5, 45, 78, 93, 9,  1, 23, 36, 53;..
                 2, 3, 5,  3, 17, 76, 1, 24, 45, 57, 88;..
                 2, 3, 5,  3, 17, 76, 3, 23, 22, 25, 43;..
                 2, 3, 5,  3, 17, 76, 5, 12, 21, 20, 30;..
                 2, 3, 5,  3, 17, 76, 9,  1,  3,  5,  4];

//Запускаем функцию
indexMatrix = ConcatIndexes(list(indexMatrix1,indexMatrix2,indexMatrix3,indexMatrix4),[%f,%t,%f]);

//Проверяем результат запуска
assert_checkequal(indexMatrix,etIndexMatrix);

//Запускаем функцию
indexMatrix = ConcatIndexes(list(indexMatrix1,'',indexMatrix2,indexMatrix3,[],indexMatrix4),[%f,%f,%t,%f,%f]);

//Проверяем результат запуска
assert_checkequal(indexMatrix,etIndexMatrix);
