//Исходные данные для тестирования
minIndexes = [2; 3;  6;  9];
maxIndexes = [5, 9, 10, 16];
stepIndexes = [1, 2, 3, 1];
elementsIndexes = ['tr','5e','mn2','q3e','762','hd6','3rd','o','tew','7u','t5u','lk','he3','uy3','iu8','fr2'];
grid = [%f,%t,%f];

//Эталонный список индексов
etIndexMatrix = [ '5e','mn2','hd6','tew';..
                  '5e','mn2','tew', '7u';..
                 'mn2','762','hd6','t5u';..
                 'mn2','762','tew', 'lk';..
                 'q3e','3rd','hd6','he3';..
                 'q3e','3rd','tew','uy3';..
                 '762','tew','hd6','iu8';..
                 '762','tew','tew','fr2'];

//Запускаем функцию
indexMatrix = ConcatIndexesRange(minIndexes,maxIndexes,..
                                 stepIndexes,elementsIndexes,..
                                 grid);

//Проверяем результат запуска
assert_checkequal(indexMatrix,etIndexMatrix);
