//Исходные данные для тестирования
minIndexes = [2, 3,  6,  9];
maxIndexes = [5; 9; 10; 16];
stepIndexes = [1, 2, 3, 1];
grid = [%f,%t,%f];

//Эталонный список индексов
etIndexMatrix = [2, 3, 6,  9;..
                 2, 3, 9, 10;..
                 3, 5, 6, 11;..
                 3, 5, 9, 12;..
                 4, 7, 6, 13;..
                 4, 7, 9, 14;..
                 5, 9, 6, 15;..
                 5, 9, 9, 16];

//Запускаем функцию
indexMatrix = ConcatIndexesRange(minIndexes,maxIndexes,..
                                 stepIndexes,grid);

//Проверяем результат запуска
assert_checkequal(indexMatrix,etIndexMatrix);

//Запускаем функцию
indexMatrix = ConcatIndexesRange(minIndexes,maxIndexes,..
                                 stepIndexes,[],grid);

//Проверяем результат запуска
assert_checkequal(indexMatrix,etIndexMatrix);
