//Исходные данные для тестирования
beginPartName = "beginName";//Начало имени
endPartName = "NameEnd";//Конец имени
indexSepName = "_";//Разделитель индексов
extFile = ".rew";//Расширение файла
indexMatrix1 = [ 1,  2;..
                 5,  7;..
                10, 15];
indexMatrix2 = [3;..
                6;..
                9];
grid = %f;//Просто конкатенуем

//Эталонная матрица индексов
etIndexMatrix = [ 1,  2, 3;..
                  5,  7, 6;..
                 10, 15, 9];

//Эталонная конкатенованая матрица
etFileIndexNames = ["beginName1_2_3NameEnd.rew";..
                    "beginName5_7_6NameEnd.rew";..
                    "beginName10_15_9NameEnd.rew"];
etFileIndexNames1 = ["beginName1_2NameEnd.rew";..
                     "beginName5_7NameEnd.rew";..
                     "beginName10_15NameEnd.rew"];
etFileIndexNames2 = ["beginName3NameEnd.rew";..
                     "beginName6NameEnd.rew";..
                     "beginName9NameEnd.rew"];

//Запускаем функцию
[fileIndexNames,..
 indexMatrix] = FileNamesIndexes(beginPartName,endPartName,..
                                 indexSepName,extFile,..
                                 indexMatrix1,indexMatrix2,grid);

//Проверяем результат запуска
assert_checkequal(fileIndexNames,etFileIndexNames);
assert_checkequal(indexMatrix,etIndexMatrix);

//Запускаем функцию
[fileIndexNames,..
 indexMatrix] = FileNamesIndexes(beginPartName,endPartName,..
                                 indexSepName,extFile,..
                                 indexMatrix1,"",grid);

//Проверяем результат запуска
assert_checkequal(fileIndexNames,etFileIndexNames1);
assert_checkequal(indexMatrix,indexMatrix1);

//Запускаем функцию
[fileIndexNames,..
 indexMatrix] = FileNamesIndexes(beginPartName,endPartName,..
                                 indexSepName,extFile,"",..
                                 indexMatrix2,grid);

//Проверяем результат запуска
assert_checkequal(fileIndexNames,etFileIndexNames2);
assert_checkequal(indexMatrix,indexMatrix2);

//Запускаем функцию
[fileIndexNames,..
 indexMatrix] = FileNamesIndexes(beginPartName,endPartName,..
                                 indexSepName,extFile,..
                                 indexMatrix1,[],grid);

//Проверяем результат запуска
assert_checkequal(fileIndexNames,etFileIndexNames1);
assert_checkequal(indexMatrix,indexMatrix1);

//Запускаем функцию
[fileIndexNames,..
 indexMatrix] = FileNamesIndexes(beginPartName,endPartName,..
                                 indexSepName,extFile,[],..
                                 indexMatrix2,grid);

//Проверяем результат запуска
assert_checkequal(fileIndexNames,etFileIndexNames2);
assert_checkequal(indexMatrix,indexMatrix2);
