//Исходные данные для тестирования
beginPartName = "beginName";//Начало имени
endPartName = "NameEnd";//Конец имени
indexSepName = "_";//Разделитель индексов
extFile = ".rew";//Расширение файла
indexMatrix = [ 1,  2;..
                5,  7;..
               10, 15];

//Эталонная конкатенованая матрица
etFileIndexNames = ["beginName1_2NameEnd.rew";..
                    "beginName5_7NameEnd.rew";..
                    "beginName10_15NameEnd.rew"];

//Запускаем функцию
[fileIndexNames,..
 cIndexMatrix] = FileNamesIndexes(beginPartName,endPartName,..
                                  indexSepName,extFile,indexMatrix);

//Проверяем результат запуска
assert_checkequal(fileIndexNames,etFileIndexNames);
assert_checkequal(cIndexMatrix,indexMatrix);
