//Исходные данные для тестирования
beginPartName = "beginName";//Начало имени
endPartName = "NameEnd";//Конец имени
indexSepName = "_";//Разделитель индексов
extFile = "rew";//Расширение файла
indexMatrix1 = [ 1,  2;..
                 5,  7;..
                10, 15];
indexMatrix2 = [3;..
                6;..
                9];
indexMatrix3 = [13, 17;..
                12, 16];

//Эталонная матрица индексов
etIndexMatrix = [ 1,  2, 3, 13, 17;..
                  1,  2, 3, 12, 16;..
                  5,  7, 6, 13, 17;..
                  5,  7, 6, 12, 16;..
                 10, 15, 9, 13, 17;..
                 10, 15, 9, 12, 16];

//Эталонная конкатенованая матрица
etFileIndexNames = ["beginName1_2_3_13_17NameEnd.rew";..
                    "beginName1_2_3_12_16NameEnd.rew";..
                    "beginName5_7_6_13_17NameEnd.rew";..
                    "beginName5_7_6_12_16NameEnd.rew";..
                    "beginName10_15_9_13_17NameEnd.rew";..
                    "beginName10_15_9_12_16NameEnd.rew"];

//Запускаем функцию
[fileIndexNames,..
 indexMatrix] = FileNamesIndexes(beginPartName,endPartName,..
                                 indexSepName,extFile,..
                                 list(indexMatrix1,..
                                      indexMatrix2,..
                                      indexMatrix3),[%f,%t]);

//Проверяем результат запуска
assert_checkequal(fileIndexNames, etFileIndexNames);
assert_checkequal(indexMatrix,etIndexMatrix);

//Запускаем функцию
[fileIndexNames,..
 indexMatrix] = FileNamesIndexes(beginPartName,endPartName,..
                                 indexSepName,extFile,..
                                 list(indexMatrix1,'',..
                                      indexMatrix2,..
                                      indexMatrix3),[%f,%f,%t]);

//Проверяем результат запуска
assert_checkequal(fileIndexNames, etFileIndexNames);
assert_checkequal(indexMatrix,etIndexMatrix);
