//Исходные данные для тестирования
beginPartName = "begName";//Начало имени
endPartName = "NameEn";//Конец имени
indexSepName = "%";//Разделитель индексов
extFile = "pu";//Расширение файла
indexMatrix1 = [13;..
                45;..
                76];

//Эталонная матрица индексов
etIndexMatrix = [13;..
                 45;..
                 76];

//Эталонная конкатенованая матрица
etFileIndexNames = ["begName13NameEn.pu";..
                    "begName45NameEn.pu";..
                    "begName76NameEn.pu"];

//Запускаем функцию
[fileIndexNames,..
 indexMatrix] = FileNamesIndexes(beginPartName,endPartName,..
                                 indexSepName,extFile,..
                                 list(indexMatrix1),..
                                 [%f,%t,%f]);

//Проверяем результат запуска
assert_checkequal(fileIndexNames, etFileIndexNames);
assert_checkequal(indexMatrix,etIndexMatrix);

//Запускаем функцию
[fileIndexNames,..
 indexMatrix] = FileNamesIndexes(beginPartName,endPartName,..
                                 indexSepName,extFile,..
                                 list(indexMatrix1),..
                                 [%f,%f,%t,%f,%f]);

//Проверяем результат запуска
assert_checkequal(fileIndexNames, etFileIndexNames);
assert_checkequal(indexMatrix,etIndexMatrix);
