//Исходные данные для тестирования
beginPartName = "bName";//Начало имени
endPartName = "NameE";//Конец имени
indexSepName = ".";//Разделитель индексов
extFile = ".r4e";//Расширение файла
indexMatrix1 = [3, 4, 6, 9, 15];
indexMatrix2 = [2, 1, 13];
grid = %t;//Просто конкатенуем

//Эталонная матрица индексов
etIndexMatrix = [3, 4, 6, 9, 15, 2, 1, 13];

//Эталонная конкатенованая матрица
etFileIndexNames = ["bName3.4.6.9.15.2.1.13NameE.r4e"];
etFileIndexNames1 = ["bName3.4.6.9.15NameE.r4e"];
etFileIndexNames2 = ["bName2.1.13NameE.r4e"];

//Запускаем функцию
[fileIndexNames,..
 indexMatrix] = FileNamesIndexes(beginPartName,endPartName,..
                                 indexSepName,extFile,..
                                 indexMatrix1,indexMatrix2,grid);

//Проверяем результат запуска
assert_checkequal(fileIndexNames,etFileIndexNames);
assert_checkequal(indexMatrix,etIndexMatrix);

//Запускаем функцию
[fileIndexNames,..
 indexMatrix] = FileNamesIndexes(beginPartName,endPartName,..
                                 indexSepName,extFile,..
                                 indexMatrix1,[],grid);

//Проверяем результат запуска
assert_checkequal(fileIndexNames,etFileIndexNames1);
assert_checkequal(indexMatrix,indexMatrix1);

//Запускаем функцию
[fileIndexNames,..
 indexMatrix] = FileNamesIndexes(beginPartName,endPartName,..
                                 indexSepName,extFile,'',..
                                 indexMatrix2,grid);

//Проверяем результат запуска
assert_checkequal(fileIndexNames,etFileIndexNames2);
assert_checkequal(indexMatrix,indexMatrix2);

//Запускаем функцию
[fileIndexNames,..
 indexMatrix] = FileNamesIndexes(beginPartName,endPartName,..
                                 indexSepName,extFile,..
                                 indexMatrix1,indexMatrix2);

//Проверяем результат запуска
assert_checkequal(fileIndexNames,etFileIndexNames);
assert_checkequal(indexMatrix,etIndexMatrix);

//Запускаем функцию
[fileIndexNames,..
 indexMatrix] = FileNamesIndexes(beginPartName,endPartName,..
                                 indexSepName,extFile,..
                                 indexMatrix1,[]);

//Проверяем результат запуска
assert_checkequal(fileIndexNames,etFileIndexNames1);
assert_checkequal(indexMatrix,indexMatrix1);

//Запускаем функцию
[fileIndexNames,..
 indexMatrix] = FileNamesIndexes(beginPartName,endPartName,..
                                 indexSepName,extFile,'',..
                                 indexMatrix2);

//Проверяем результат запуска
assert_checkequal(fileIndexNames,etFileIndexNames2);
assert_checkequal(indexMatrix,indexMatrix2);
