//Исходные данные для тестирования
beginPartName = "beginName";//Начало имени
endPartName = "NameEnd";//Конец имени
indexSepName = "_";//Разделитель индексов
extFile = ".rew";//Расширение файла
indexMatrix1 = [ 1,  2;..
                10, 15];
indexMatrix2 = [3, 6, 9];

//Эталонная матрица индексов
etIndexMatrix12 = [ 1,  2, 3, 6, 9;..
                   10, 15, 3, 6, 9];
etIndexMatrix21 = [3, 6, 9,  1,  2;..
                   3, 6, 9, 10, 15];

//Эталонная конкатенованая матрица
etFileIndexNames12 = ["beginName1_2_3_6_9NameEnd.rew";..
                      "beginName10_15_3_6_9NameEnd.rew"];
etFileIndexNames21 = ["beginName3_6_9_1_2NameEnd.rew";..
                      "beginName3_6_9_10_15NameEnd.rew"];

//Запускаем функцию
[fileIndexNames12,..
 indexMatrix12] = FileNamesIndexes(beginPartName,endPartName,..
                                   indexSepName,extFile,..
                                   indexMatrix1,indexMatrix2,%t);
[fileIndexNames21,..
 indexMatrix21] = FileNamesIndexes(beginPartName,endPartName,..
                                   indexSepName,extFile,..
                                   indexMatrix2,indexMatrix1,%t);

//Проверяем результат запуска
assert_checkequal(fileIndexNames12, etFileIndexNames12);
assert_checkequal(fileIndexNames21, etFileIndexNames21);
assert_checkequal(indexMatrix12,etIndexMatrix12);
assert_checkequal(indexMatrix21,etIndexMatrix21);

//Запускаем функцию
[fileIndexNames12,..
 indexMatrix12] = FileNamesIndexes(beginPartName,endPartName,..
                                   indexSepName,extFile,..
                                   indexMatrix1,indexMatrix2);
[fileIndexNames21,..
 indexMatrix21] = FileNamesIndexes(beginPartName,endPartName,..
                                   indexSepName,extFile,..
                                   indexMatrix2,indexMatrix1);

//Проверяем результат запуска
assert_checkequal(fileIndexNames12, etFileIndexNames12);
assert_checkequal(fileIndexNames21, etFileIndexNames21);
assert_checkequal(indexMatrix12,etIndexMatrix12);
assert_checkequal(indexMatrix21,etIndexMatrix21);

//Запускаем функцию
[fileIndexNames12,..
 indexMatrix12] = FileNamesIndexes(beginPartName,endPartName,..
                                   indexSepName,extFile,..
                                   indexMatrix1,indexMatrix2,%f);
[fileIndexNames21,..
 indexMatrix21] = FileNamesIndexes(beginPartName,endPartName,..
                                   indexSepName,extFile,..
                                   indexMatrix2,indexMatrix1,%f);

//Проверяем результат запуска
assert_checkequal(fileIndexNames12, etFileIndexNames12);
assert_checkequal(fileIndexNames21, etFileIndexNames21);
assert_checkequal(indexMatrix12,etIndexMatrix12);
assert_checkequal(indexMatrix21,etIndexMatrix21);
