//Исходные данные для тестирования
beginPartName = "beginName";//Начало имени
endPartName = "NameEnd";//Конец имени
indexSepName = "_";//Разделитель индексов
extFile = ".rew";//Расширение файла
minIndexes = [1, 2, 5];
maxIndexes = [3; 4; 8];
stepIndexes = [1, 2, 1];
elementsIndexes = ['as','rg','wq','1w','xa','hd','3d','l'];
grid = %t;

//Эталонный список индексов
etIndexMatrix = ['as','rg','xa';..
                 'as','rg','hd';..
                 'as','rg','3d';..
                 'as','rg', 'l';..
                 'as','1w','xa';..
                 'as','1w','hd';..
                 'as','1w','3d';..
                 'as','1w', 'l';..
                 'rg','rg','xa';..
                 'rg','rg','hd';..
                 'rg','rg','3d';..
                 'rg','rg', 'l';..
                 'rg','1w','xa';..
                 'rg','1w','hd';..
                 'rg','1w','3d';..
                 'rg','1w', 'l';..
                 'wq','rg','xa';..
                 'wq','rg','hd';..
                 'wq','rg','3d';..
                 'wq','rg', 'l';..
                 'wq','1w','xa';..
                 'wq','1w','hd';..
                 'wq','1w','3d';..
                 'wq','1w', 'l'];

//Массив индексируемых имен
etFileIndexNames = ['beginNameas_rg_xaNameEnd.rew';..
                    'beginNameas_rg_hdNameEnd.rew';..
                    'beginNameas_rg_3dNameEnd.rew';..
                    'beginNameas_rg_lNameEnd.rew';..
                    'beginNameas_1w_xaNameEnd.rew';..
                    'beginNameas_1w_hdNameEnd.rew';..
                    'beginNameas_1w_3dNameEnd.rew';..
                    'beginNameas_1w_lNameEnd.rew';..
                    'beginNamerg_rg_xaNameEnd.rew';..
                    'beginNamerg_rg_hdNameEnd.rew';..
                    'beginNamerg_rg_3dNameEnd.rew';..
                    'beginNamerg_rg_lNameEnd.rew';..
                    'beginNamerg_1w_xaNameEnd.rew';..
                    'beginNamerg_1w_hdNameEnd.rew';..
                    'beginNamerg_1w_3dNameEnd.rew';..
                    'beginNamerg_1w_lNameEnd.rew';..
                    'beginNamewq_rg_xaNameEnd.rew';..
                    'beginNamewq_rg_hdNameEnd.rew';..
                    'beginNamewq_rg_3dNameEnd.rew';..
                    'beginNamewq_rg_lNameEnd.rew';..
                    'beginNamewq_1w_xaNameEnd.rew';..
                    'beginNamewq_1w_hdNameEnd.rew';..
                    'beginNamewq_1w_3dNameEnd.rew';..
                    'beginNamewq_1w_lNameEnd.rew'];

//Запускаем функцию
[fileIndexNames,..
 indexMatrix] = FileNamesIndexesRange(beginPartName,endPartName,..
                                      indexSepName,extFile,..
                                      minIndexes,maxIndexes,..
                                      stepIndexes,elementsIndexes,..
                                      grid);

//Проверяем результат запуска
assert_checkequal(fileIndexNames,etFileIndexNames);
assert_checkequal(indexMatrix,etIndexMatrix);

//Запускаем функцию
[fileIndexNames,..
 indexMatrix] = FileNamesIndexesRange(beginPartName,endPartName,..
                                      indexSepName,extFile,..
                                      minIndexes,maxIndexes,..
                                      stepIndexes,elementsIndexes);

//Проверяем результат запуска
assert_checkequal(fileIndexNames,etFileIndexNames);
assert_checkequal(indexMatrix,etIndexMatrix);
