//Исходные данные для тестирования
beginPartName = "beginName";//Начало имени
endPartName = "NameEnd";//Конец имени
indexSepName = "_";//Разделитель индексов
extFile = ".rew";//Расширение файла
minIndexes = [1, 1, 1];
maxIndexes = [3; 4; 8];
stepIndexes = [1, 1, 1];
grid = %t;

//Эталонный список индексов
etIndexMatrix = [1,1,1;..
                 1,1,2;..
                 1,1,3;..
                 1,1,4;..
                 1,1,5;..
                 1,1,6;..
                 1,1,7;..
                 1,1,8;..
                 1,2,1;..
                 1,2,2;..
                 1,2,3;..
                 1,2,4;..
                 1,2,5;..
                 1,2,6;..
                 1,2,7;..
                 1,2,8;..
                 1,3,1;..
                 1,3,2;..
                 1,3,3;..
                 1,3,4;..
                 1,3,5;..
                 1,3,6;..
                 1,3,7;..
                 1,3,8;..
                 1,4,1;..
                 1,4,2;..
                 1,4,3;..
                 1,4,4;..
                 1,4,5;..
                 1,4,6;..
                 1,4,7;..
                 1,4,8;..
                 2,1,1;..
                 2,1,2;..
                 2,1,3;..
                 2,1,4;..
                 2,1,5;..
                 2,1,6;..
                 2,1,7;..
                 2,1,8;..
                 2,2,1;..
                 2,2,2;..
                 2,2,3;..
                 2,2,4;..
                 2,2,5;..
                 2,2,6;..
                 2,2,7;..
                 2,2,8;..
                 2,3,1;..
                 2,3,2;..
                 2,3,3;..
                 2,3,4;..
                 2,3,5;..
                 2,3,6;..
                 2,3,7;..
                 2,3,8;..
                 2,4,1;..
                 2,4,2;..
                 2,4,3;..
                 2,4,4;..
                 2,4,5;..
                 2,4,6;..
                 2,4,7;..
                 2,4,8;..
                 3,1,1;..
                 3,1,2;..
                 3,1,3;..
                 3,1,4;..
                 3,1,5;..
                 3,1,6;..
                 3,1,7;..
                 3,1,8;..
                 3,2,1;..
                 3,2,2;..
                 3,2,3;..
                 3,2,4;..
                 3,2,5;..
                 3,2,6;..
                 3,2,7;..
                 3,2,8;..
                 3,3,1;..
                 3,3,2;..
                 3,3,3;..
                 3,3,4;..
                 3,3,5;..
                 3,3,6;..
                 3,3,7;..
                 3,3,8;..
                 3,4,1;..
                 3,4,2;..
                 3,4,3;..
                 3,4,4;..
                 3,4,5;..
                 3,4,6;..
                 3,4,7;..
                 3,4,8];

//Массив индексируемых имен
etFileIndexNames = ['beginName1_1_1NameEnd.rew';..
                    'beginName1_1_2NameEnd.rew';..
                    'beginName1_1_3NameEnd.rew';..
                    'beginName1_1_4NameEnd.rew';..
                    'beginName1_1_5NameEnd.rew';..
                    'beginName1_1_6NameEnd.rew';..
                    'beginName1_1_7NameEnd.rew';..
                    'beginName1_1_8NameEnd.rew';..
                    'beginName1_2_1NameEnd.rew';..
                    'beginName1_2_2NameEnd.rew';..
                    'beginName1_2_3NameEnd.rew';..
                    'beginName1_2_4NameEnd.rew';..
                    'beginName1_2_5NameEnd.rew';..
                    'beginName1_2_6NameEnd.rew';..
                    'beginName1_2_7NameEnd.rew';..
                    'beginName1_2_8NameEnd.rew';..
                    'beginName1_3_1NameEnd.rew';..
                    'beginName1_3_2NameEnd.rew';..
                    'beginName1_3_3NameEnd.rew';..
                    'beginName1_3_4NameEnd.rew';..
                    'beginName1_3_5NameEnd.rew';..
                    'beginName1_3_6NameEnd.rew';..
                    'beginName1_3_7NameEnd.rew';..
                    'beginName1_3_8NameEnd.rew';..
                    'beginName1_4_1NameEnd.rew';..
                    'beginName1_4_2NameEnd.rew';..
                    'beginName1_4_3NameEnd.rew';..
                    'beginName1_4_4NameEnd.rew';..
                    'beginName1_4_5NameEnd.rew';..
                    'beginName1_4_6NameEnd.rew';..
                    'beginName1_4_7NameEnd.rew';..
                    'beginName1_4_8NameEnd.rew';..
                    'beginName2_1_1NameEnd.rew';..
                    'beginName2_1_2NameEnd.rew';..
                    'beginName2_1_3NameEnd.rew';..
                    'beginName2_1_4NameEnd.rew';..
                    'beginName2_1_5NameEnd.rew';..
                    'beginName2_1_6NameEnd.rew';..
                    'beginName2_1_7NameEnd.rew';..
                    'beginName2_1_8NameEnd.rew';..
                    'beginName2_2_1NameEnd.rew';..
                    'beginName2_2_2NameEnd.rew';..
                    'beginName2_2_3NameEnd.rew';..
                    'beginName2_2_4NameEnd.rew';..
                    'beginName2_2_5NameEnd.rew';..
                    'beginName2_2_6NameEnd.rew';..
                    'beginName2_2_7NameEnd.rew';..
                    'beginName2_2_8NameEnd.rew';..
                    'beginName2_3_1NameEnd.rew';..
                    'beginName2_3_2NameEnd.rew';..
                    'beginName2_3_3NameEnd.rew';..
                    'beginName2_3_4NameEnd.rew';..
                    'beginName2_3_5NameEnd.rew';..
                    'beginName2_3_6NameEnd.rew';..
                    'beginName2_3_7NameEnd.rew';..
                    'beginName2_3_8NameEnd.rew';..
                    'beginName2_4_1NameEnd.rew';..
                    'beginName2_4_2NameEnd.rew';..
                    'beginName2_4_3NameEnd.rew';..
                    'beginName2_4_4NameEnd.rew';..
                    'beginName2_4_5NameEnd.rew';..
                    'beginName2_4_6NameEnd.rew';..
                    'beginName2_4_7NameEnd.rew';..
                    'beginName2_4_8NameEnd.rew';..
                    'beginName3_1_1NameEnd.rew';..
                    'beginName3_1_2NameEnd.rew';..
                    'beginName3_1_3NameEnd.rew';..
                    'beginName3_1_4NameEnd.rew';..
                    'beginName3_1_5NameEnd.rew';..
                    'beginName3_1_6NameEnd.rew';..
                    'beginName3_1_7NameEnd.rew';..
                    'beginName3_1_8NameEnd.rew';..
                    'beginName3_2_1NameEnd.rew';..
                    'beginName3_2_2NameEnd.rew';..
                    'beginName3_2_3NameEnd.rew';..
                    'beginName3_2_4NameEnd.rew';..
                    'beginName3_2_5NameEnd.rew';..
                    'beginName3_2_6NameEnd.rew';..
                    'beginName3_2_7NameEnd.rew';..
                    'beginName3_2_8NameEnd.rew';..
                    'beginName3_3_1NameEnd.rew';..
                    'beginName3_3_2NameEnd.rew';..
                    'beginName3_3_3NameEnd.rew';..
                    'beginName3_3_4NameEnd.rew';..
                    'beginName3_3_5NameEnd.rew';..
                    'beginName3_3_6NameEnd.rew';..
                    'beginName3_3_7NameEnd.rew';..
                    'beginName3_3_8NameEnd.rew';..
                    'beginName3_4_1NameEnd.rew';..
                    'beginName3_4_2NameEnd.rew';..
                    'beginName3_4_3NameEnd.rew';..
                    'beginName3_4_4NameEnd.rew';..
                    'beginName3_4_5NameEnd.rew';..
                    'beginName3_4_6NameEnd.rew';..
                    'beginName3_4_7NameEnd.rew';..
                    'beginName3_4_8NameEnd.rew'];

//Запускаем функцию
[fileIndexNames,..
 indexMatrix] = FileNamesIndexesRange(beginPartName,endPartName,..
                                      indexSepName,extFile,..
                                      minIndexes,maxIndexes,..
                                      stepIndexes,[],grid);

//Проверяем результат запуска
assert_checkequal(fileIndexNames,etFileIndexNames);
assert_checkequal(indexMatrix,etIndexMatrix);

//Запускаем функцию
[fileIndexNames,..
 indexMatrix] = FileNamesIndexesRange(beginPartName,endPartName,..
                                      indexSepName,extFile,..
                                      minIndexes,maxIndexes,..
                                      stepIndexes,grid);

//Проверяем результат запуска
assert_checkequal(fileIndexNames,etFileIndexNames);
assert_checkequal(indexMatrix,etIndexMatrix);

//Запускаем функцию
[fileIndexNames,..
 indexMatrix] = FileNamesIndexesRange(beginPartName,endPartName,..
                                      indexSepName,extFile,..
                                      minIndexes,maxIndexes,..
                                      stepIndexes);

//Проверяем результат запуска
assert_checkequal(fileIndexNames,etFileIndexNames);
assert_checkequal(indexMatrix,etIndexMatrix);

//Запускаем функцию
[fileIndexNames,..
 indexMatrix] = FileNamesIndexesRange(beginPartName,endPartName,..
                                      indexSepName,extFile,..
                                      minIndexes,maxIndexes,..
                                      stepIndexes,[]);

//Проверяем результат запуска
assert_checkequal(fileIndexNames,etFileIndexNames);
assert_checkequal(indexMatrix,etIndexMatrix);

//Запускаем функцию
[fileIndexNames,..
 indexMatrix] = FileNamesIndexesRange(beginPartName,endPartName,..
                                      indexSepName,extFile,..
                                      minIndexes,maxIndexes,grid);

//Проверяем результат запуска
assert_checkequal(fileIndexNames,etFileIndexNames);
assert_checkequal(indexMatrix,etIndexMatrix);

//Запускаем функцию
[fileIndexNames,..
 indexMatrix] = FileNamesIndexesRange(beginPartName,endPartName,..
                                      indexSepName,extFile,..
                                      minIndexes,maxIndexes);

//Проверяем результат запуска
assert_checkequal(fileIndexNames,etFileIndexNames);
assert_checkequal(indexMatrix,etIndexMatrix);

//Запускаем функцию
[fileIndexNames,..
 indexMatrix] = FileNamesIndexesRange(beginPartName,endPartName,..
                                      indexSepName,extFile,..
                                      maxIndexes,grid);

//Проверяем результат запуска
assert_checkequal(fileIndexNames,etFileIndexNames);
assert_checkequal(indexMatrix,etIndexMatrix);

//Запускаем функцию
[fileIndexNames,..
 indexMatrix] = FileNamesIndexesRange(beginPartName,endPartName,..
                                      indexSepName,extFile,..
                                      maxIndexes);

//Проверяем результат запуска
assert_checkequal(fileIndexNames,etFileIndexNames);
assert_checkequal(indexMatrix,etIndexMatrix);
