//Исходные данные для тестирования
beginPartName = "beginName";//Начало имени
endPartName = "NameEnd";//Конец имени
indexSepName = "_";//Разделитель индексов
extFile = "rew";//Расширение файла
minIndexes = [2];
maxIndexes = [4];
stepIndexes = [2];

//Эталонный список индексов
etIndexMatrix = [2;..
                 4];

//Массив индексируемых имен
etFileIndexNames = ['beginName2NameEnd.rew';..
                    'beginName4NameEnd.rew'];

//Запускаем функцию
[fileIndexNames,..
 indexMatrix] = FileNamesIndexesRange(beginPartName,endPartName,..
                                      indexSepName,extFile,..
                                      minIndexes,maxIndexes,..
                                      stepIndexes,[],%f);

//Проверяем результат запуска
assert_checkequal(fileIndexNames,etFileIndexNames);
assert_checkequal(indexMatrix,etIndexMatrix);

//Запускаем функцию
[fileIndexNames,..
 indexMatrix] = FileNamesIndexesRange(beginPartName,endPartName,..
                                      indexSepName,extFile,..
                                      minIndexes,maxIndexes,..
                                      stepIndexes,[],%t);

//Проверяем результат запуска
assert_checkequal(fileIndexNames,etFileIndexNames);
assert_checkequal(indexMatrix,etIndexMatrix);

//Запускаем функцию
[fileIndexNames,..
 indexMatrix] = FileNamesIndexesRange(beginPartName,endPartName,..
                                      indexSepName,extFile,..
                                      minIndexes,maxIndexes,..
                                      stepIndexes,%f);

//Запускаем функцию
[fileIndexNames,..
 indexMatrix] = FileNamesIndexesRange(beginPartName,endPartName,..
                                      indexSepName,extFile,..
                                      minIndexes,maxIndexes,..
                                      stepIndexes,%t);

//Проверяем результат запуска
assert_checkequal(fileIndexNames,etFileIndexNames);
assert_checkequal(indexMatrix,etIndexMatrix);

//Запускаем функцию
[fileIndexNames,..
 indexMatrix] = FileNamesIndexesRange(beginPartName,endPartName,..
                                      indexSepName,extFile,..
                                      minIndexes,maxIndexes,..
                                      stepIndexes);

//Проверяем результат запуска
assert_checkequal(fileIndexNames,etFileIndexNames);
assert_checkequal(indexMatrix,etIndexMatrix);

//Запускаем функцию
[fileIndexNames,..
 indexMatrix] = FileNamesIndexesRange(beginPartName,endPartName,..
                                      indexSepName,extFile,..
                                      minIndexes,maxIndexes,..
                                      stepIndexes,[]);

//Проверяем результат запуска
assert_checkequal(fileIndexNames,etFileIndexNames);
assert_checkequal(indexMatrix,etIndexMatrix);
