//Исходные данные для тестирования
beginPartName = "beginName";//Начало имени
endPartName = "NameEnd";//Конец имени
indexSepName = "_";//Разделитель индексов
extFile = ".rou";//Расширение файла
minIndexes = [3];
maxIndexes = [16];
stepIndexes = [3];

//Эталонный список индексов
etIndexMatrix = [ 3;..
                  6;..
                  9;..
                 12;..
                 15];

//Массив индексируемых имен
etFileIndexNames = ['beginName3NameEnd.rou';..
                    'beginName6NameEnd.rou';..
                    'beginName9NameEnd.rou';..
                    'beginName12NameEnd.rou';..
                    'beginName15NameEnd.rou'];

//Запускаем функцию
[fileIndexNames,..
 indexMatrix] = FileNamesIndexesRange(beginPartName,endPartName,..
                                      indexSepName,extFile,..
                                      minIndexes,maxIndexes,..
                                      stepIndexes,[],%f);

//Проверяем результат запуска
assert_checkequal(fileIndexNames,etFileIndexNames);
assert_checkequal(indexMatrix,etIndexMatrix);

//Запускаем функцию
[fileIndexNames,..
 indexMatrix] = FileNamesIndexesRange(beginPartName,endPartName,..
                                      indexSepName,extFile,..
                                      minIndexes,maxIndexes,..
                                      stepIndexes,[],%t);

//Проверяем результат запуска
assert_checkequal(fileIndexNames,etFileIndexNames);
assert_checkequal(indexMatrix,etIndexMatrix);

//Запускаем функцию
[fileIndexNames,..
 indexMatrix] = FileNamesIndexesRange(beginPartName,endPartName,..
                                      indexSepName,extFile,..
                                      minIndexes,maxIndexes,..
                                      stepIndexes,%f);

//Запускаем функцию
[fileIndexNames,..
 indexMatrix] = FileNamesIndexesRange(beginPartName,endPartName,..
                                      indexSepName,extFile,..
                                      minIndexes,maxIndexes,..
                                      stepIndexes,%t);

//Проверяем результат запуска
assert_checkequal(fileIndexNames,etFileIndexNames);
assert_checkequal(indexMatrix,etIndexMatrix);

//Запускаем функцию
[fileIndexNames,..
 indexMatrix] = FileNamesIndexesRange(beginPartName,endPartName,..
                                      indexSepName,extFile,..
                                      minIndexes,maxIndexes,..
                                      stepIndexes);

//Проверяем результат запуска
assert_checkequal(fileIndexNames,etFileIndexNames);
assert_checkequal(indexMatrix,etIndexMatrix);

//Запускаем функцию
[fileIndexNames,..
 indexMatrix] = FileNamesIndexesRange(beginPartName,endPartName,..
                                      indexSepName,extFile,..
                                      minIndexes,maxIndexes,..
                                      stepIndexes,[]);

//Проверяем результат запуска
assert_checkequal(fileIndexNames,etFileIndexNames);
assert_checkequal(indexMatrix,etIndexMatrix);
