//Исходные данные для тестирования
beginPartName = "beginName";//Начало имени
endPartName = "NameEnd";//Конец имени
indexSepName = "_";//Разделитель индексов
extFile = "rou";//Расширение файла
minIndexes = [5];
maxIndexes = [12];
stepIndexes = [2];
elementsIndexes = ['as','rg','wq','1w','xa','hd','3d','l','ren','qw2','lk4','iu'];
grid = %t;

//Эталонный список индексов
etIndexMatrix = [ 'xa';..
                  '3d';..
                 'ren';..
                 'lk4'];

//Массив индексируемых имен
etFileIndexNames = ['beginNamexaNameEnd.rou';..
                    'beginName3dNameEnd.rou';..
                    'beginNamerenNameEnd.rou';..
                    'beginNamelk4NameEnd.rou'];

//Запускаем функцию
[fileIndexNames,..
 indexMatrix] = FileNamesIndexesRange(beginPartName,endPartName,..
                                      indexSepName,extFile,..
                                      minIndexes,maxIndexes,..
                                      stepIndexes,elementsIndexes,..
                                      %f);

//Проверяем результат запуска
assert_checkequal(fileIndexNames,etFileIndexNames);
assert_checkequal(indexMatrix,etIndexMatrix);

//Запускаем функцию
[fileIndexNames,..
 indexMatrix] = FileNamesIndexesRange(beginPartName,endPartName,..
                                      indexSepName,extFile,..
                                      minIndexes,maxIndexes,..
                                      stepIndexes,elementsIndexes,..
                                      %t);

//Проверяем результат запуска
assert_checkequal(fileIndexNames,etFileIndexNames);
assert_checkequal(indexMatrix,etIndexMatrix);

//Запускаем функцию
[fileIndexNames,..
 indexMatrix] = FileNamesIndexesRange(beginPartName,endPartName,..
                                      indexSepName,extFile,..
                                      minIndexes,maxIndexes,..
                                      stepIndexes,elementsIndexes);

//Проверяем результат запуска
assert_checkequal(fileIndexNames,etFileIndexNames);
assert_checkequal(indexMatrix,etIndexMatrix);
