//Исходные данные для тестирования
beginPartName = "beginName";//Начало имени
endPartName = "NameEnd";//Конец имени
indexSepName = "_";//Разделитель индексов
extFile = ".rew";//Расширение файла
minIndexes = [1, 2, 5];
maxIndexes = [3; 4; 8];
stepIndexes = [1, 2, 1];
grid = %t;

//Эталонный список индексов
etIndexMatrix = [1,2,5;..
                 1,2,6;..
                 1,2,7;..
                 1,2,8;..
                 1,4,5;..
                 1,4,6;..
                 1,4,7;..
                 1,4,8;..
                 2,2,5;..
                 2,2,6;..
                 2,2,7;..
                 2,2,8;..
                 2,4,5;..
                 2,4,6;..
                 2,4,7;..
                 2,4,8;..
                 3,2,5;..
                 3,2,6;..
                 3,2,7;..
                 3,2,8;..
                 3,4,5;..
                 3,4,6;..
                 3,4,7;..
                 3,4,8];

//Массив индексируемых имен
etFileIndexNames = ['beginName1_2_5NameEnd.rew';..
                    'beginName1_2_6NameEnd.rew';..
                    'beginName1_2_7NameEnd.rew';..
                    'beginName1_2_8NameEnd.rew';..
                    'beginName1_4_5NameEnd.rew';..
                    'beginName1_4_6NameEnd.rew';..
                    'beginName1_4_7NameEnd.rew';..
                    'beginName1_4_8NameEnd.rew';..
                    'beginName2_2_5NameEnd.rew';..
                    'beginName2_2_6NameEnd.rew';..
                    'beginName2_2_7NameEnd.rew';..
                    'beginName2_2_8NameEnd.rew';..
                    'beginName2_4_5NameEnd.rew';..
                    'beginName2_4_6NameEnd.rew';..
                    'beginName2_4_7NameEnd.rew';..
                    'beginName2_4_8NameEnd.rew';..
                    'beginName3_2_5NameEnd.rew';..
                    'beginName3_2_6NameEnd.rew';..
                    'beginName3_2_7NameEnd.rew';..
                    'beginName3_2_8NameEnd.rew';..
                    'beginName3_4_5NameEnd.rew';..
                    'beginName3_4_6NameEnd.rew';..
                    'beginName3_4_7NameEnd.rew';..
                    'beginName3_4_8NameEnd.rew'];

//Запускаем функцию
[fileIndexNames,..
 indexMatrix] = FileNamesIndexesRange(beginPartName,endPartName,..
                                      indexSepName,extFile,..
                                      minIndexes,maxIndexes,..
                                      stepIndexes,[],grid);

//Проверяем результат запуска
assert_checkequal(fileIndexNames,etFileIndexNames);
assert_checkequal(indexMatrix,etIndexMatrix);

//Запускаем функцию
[fileIndexNames,..
 indexMatrix] = FileNamesIndexesRange(beginPartName,endPartName,..
                                      indexSepName,extFile,..
                                      minIndexes,maxIndexes,..
                                      stepIndexes,grid);

//Проверяем результат запуска
assert_checkequal(fileIndexNames,etFileIndexNames);
assert_checkequal(indexMatrix,etIndexMatrix);

//Запускаем функцию
[fileIndexNames,..
 indexMatrix] = FileNamesIndexesRange(beginPartName,endPartName,..
                                      indexSepName,extFile,..
                                      minIndexes,maxIndexes,..
                                      stepIndexes);

//Проверяем результат запуска
assert_checkequal(fileIndexNames,etFileIndexNames);
assert_checkequal(indexMatrix,etIndexMatrix);

//Запускаем функцию
[fileIndexNames,..
 indexMatrix] = FileNamesIndexesRange(beginPartName,endPartName,..
                                      indexSepName,extFile,..
                                      minIndexes,maxIndexes,..
                                      stepIndexes,[]);

//Проверяем результат запуска
assert_checkequal(fileIndexNames,etFileIndexNames);
assert_checkequal(indexMatrix,etIndexMatrix);
