//Исходные данные для тестирования
beginPartName = "beginName";//Начало имени
endPartName = "NameEnd";//Конец имени
indexSepName = "_";//Разделитель индексов
indexMatrix1 = [ 1,  2;..
                 5,  7;..
                10, 15];
indexMatrix2 = [3;..
                6;..
                9];
grid = %f;//Просто конкатенуем

//Эталонная матрица индексов
etIndexMatrix = [ 1,  2, 3;..
                  5,  7, 6;..
                 10, 15, 9];

//Эталонная конкатенованая матрица
etIndexNames = ["beginName1_2_3NameEnd";..
                "beginName5_7_6NameEnd";..
                "beginName10_15_9NameEnd"];
etIndexNames1 = ["beginName1_2NameEnd";..
                 "beginName5_7NameEnd";..
                 "beginName10_15NameEnd"];
etIndexNames2 = ["beginName3NameEnd";..
                 "beginName6NameEnd";..
                 "beginName9NameEnd"];

//Запускаем функцию
[indexNames,..
 indexMatrix] = NamesIndexes(beginPartName,endPartName,..
                             indexSepName,indexMatrix1,..
                             indexMatrix2,grid);

//Проверяем результат запуска
assert_checkequal(indexNames,etIndexNames);
assert_checkequal(indexMatrix,etIndexMatrix);

//Запускаем функцию
[indexNames,..
 indexMatrix] = NamesIndexes(beginPartName,endPartName,..
                             indexSepName,indexMatrix1,"",grid);

//Проверяем результат запуска
assert_checkequal(indexNames,etIndexNames1);
assert_checkequal(indexMatrix,indexMatrix1);

//Запускаем функцию
[indexNames,..
 indexMatrix] = NamesIndexes(beginPartName,endPartName,..
                             indexSepName,"",indexMatrix2,grid);

//Проверяем результат запуска
assert_checkequal(indexNames,etIndexNames2);
assert_checkequal(indexMatrix,indexMatrix2);

//Запускаем функцию
[indexNames,..
 indexMatrix] = NamesIndexes(beginPartName,endPartName,..
                             indexSepName,indexMatrix1,[],grid);

//Проверяем результат запуска
assert_checkequal(indexNames,etIndexNames1);
assert_checkequal(indexMatrix,indexMatrix1);

//Запускаем функцию
[indexNames,..
 indexMatrix] = NamesIndexes(beginPartName,endPartName,..
                             indexSepName,[],indexMatrix2,grid);

//Проверяем результат запуска
assert_checkequal(indexNames,etIndexNames2);
assert_checkequal(indexMatrix,indexMatrix2);
