//Исходные данные для тестирования
beginPartName = "bName";//Начало имени
endPartName = "NameE";//Конец имени
indexSepName = ".";//Разделитель индексов
indexMatrix1 = [1, 2, 5, 7, 10];
indexMatrix2 = [3, 4, 12];
grid = %f;//Просто конкатенуем

//Эталонная матрица индексов
etIndexMatrix = [1, 2, 5, 7, 10, 3, 4, 12];

//Эталонная конкатенованая матрица
etIndexNames = "bName1.2.5.7.10.3.4.12NameE";
etIndexNames1 = "bName1.2.5.7.10NameE";
etIndexNames2 = "bName3.4.12NameE";

//Запускаем функцию
[indexNames,..
 indexMatrix] = NamesIndexes(beginPartName,endPartName,..
                             indexSepName,indexMatrix1,..
                             indexMatrix2,grid);

//Проверяем результат запуска
assert_checkequal(indexNames,etIndexNames);
assert_checkequal(indexMatrix,etIndexMatrix);

//Запускаем функцию
[indexNames,..
 indexMatrix] = NamesIndexes(beginPartName,endPartName,..
                             indexSepName,indexMatrix1,'',grid);

//Проверяем результат запуска
assert_checkequal(indexNames,etIndexNames1);
assert_checkequal(indexMatrix,indexMatrix1);

//Запускаем функцию
[indexNames,..
 indexMatrix] = NamesIndexes(beginPartName,endPartName,..
                             indexSepName,[],indexMatrix2,grid);

//Проверяем результат запуска
assert_checkequal(indexNames,etIndexNames2);
assert_checkequal(indexMatrix,indexMatrix2);
