//Исходные данные для тестирования
beginPartName = "beginName";//Начало имени
endPartName = "NameEnd";//Конец имени
indexSepName = "_";//Разделитель индексов
indexMatrix1 = [ 1,  2;..
                10, 15];
indexMatrix2 = [3, 6, 9];

//Эталонная матрица индексов
etIndexMatrix12 = [ 1,  2, 3, 6, 9;..
                   10, 15, 3, 6, 9];
etIndexMatrix21 = [3, 6, 9,  1,  2;..
                   3, 6, 9, 10, 15];

//Эталонная конкатенованая матрица
etIndexNames12 = ["beginName1_2_3_6_9NameEnd";..
                  "beginName10_15_3_6_9NameEnd"];
etIndexNames21 = ["beginName3_6_9_1_2NameEnd";..
                  "beginName3_6_9_10_15NameEnd"];

//Запускаем функцию
[indexNames12,..
 indexMatrix12] = NamesIndexes(beginPartName,endPartName,..
                               indexSepName,indexMatrix1,..
                               indexMatrix2,%t);
[indexNames21,..
 indexMatrix21] = NamesIndexes(beginPartName,endPartName,..
                               indexSepName,indexMatrix2,..
                               indexMatrix1,%t);

//Проверяем результат запуска
assert_checkequal(indexNames12, etIndexNames12);
assert_checkequal(indexNames21, etIndexNames21);
assert_checkequal(indexMatrix12, etIndexMatrix12);
assert_checkequal(indexMatrix21, etIndexMatrix21);

//Запускаем функцию
[indexNames12,..
 indexMatrix12] = NamesIndexes(beginPartName,endPartName,..
                               indexSepName,indexMatrix1,..
                               indexMatrix2);
[indexNames21,..
 indexMatrix21] = NamesIndexes(beginPartName,endPartName,..
                               indexSepName,indexMatrix2,..
                               indexMatrix1);

//Проверяем результат запуска
assert_checkequal(indexNames12, etIndexNames12);
assert_checkequal(indexNames21, etIndexNames21);
assert_checkequal(indexMatrix12, etIndexMatrix12);
assert_checkequal(indexMatrix21, etIndexMatrix21);

//Запускаем функцию
[indexNames12,..
 indexMatrix12] = NamesIndexes(beginPartName,endPartName,..
                               indexSepName,indexMatrix1,..
                               indexMatrix2,%f);
[indexNames21,..
 indexMatrix21] = NamesIndexes(beginPartName,endPartName,..
                               indexSepName,indexMatrix2,..
                               indexMatrix1,%f);

//Проверяем результат запуска
assert_checkequal(indexNames12, etIndexNames12);
assert_checkequal(indexNames21, etIndexNames21);
assert_checkequal(indexMatrix12, etIndexMatrix12);
assert_checkequal(indexMatrix21, etIndexMatrix21);
