//Исходные данные для тестирования
beginPartName = "begName";//Начало имени
endPartName = "NameEn";//Конец имени
indexSepName = "%";//Разделитель индексов
minIndexes = [1, 1,  1, 1];
maxIndexes = [5; 3; 15; 4];
stepIndexes = [1, 1, 1, 1];
grid = [%t,%f,%t];

//Эталонный список индексов
etIndexMatrix = [1, 1,  1, 1;..
                 1, 1,  1, 2;..
                 1, 1,  1, 3;..
                 1, 1,  1, 4;..
                 1, 2,  2, 1;..
                 1, 2,  2, 2;..
                 1, 2,  2, 3;..
                 1, 2,  2, 4;..
                 1, 3,  3, 1;..
                 1, 3,  3, 2;..
                 1, 3,  3, 3;..
                 1, 3,  3, 4;..
                 2, 1,  4, 1;..
                 2, 1,  4, 2;..
                 2, 1,  4, 3;..
                 2, 1,  4, 4;..
                 2, 2,  5, 1;..
                 2, 2,  5, 2;..
                 2, 2,  5, 3;..
                 2, 2,  5, 4;..
                 2, 3,  6, 1;..
                 2, 3,  6, 2;..
                 2, 3,  6, 3;..
                 2, 3,  6, 4;..
                 3, 1,  7, 1;..
                 3, 1,  7, 2;..
                 3, 1,  7, 3;..
                 3, 1,  7, 4;..
                 3, 2,  8, 1;..
                 3, 2,  8, 2;..
                 3, 2,  8, 3;..
                 3, 2,  8, 4;..
                 3, 3,  9, 1;..
                 3, 3,  9, 2;..
                 3, 3,  9, 3;..
                 3, 3,  9, 4;..
                 4, 1, 10, 1;..
                 4, 1, 10, 2;..
                 4, 1, 10, 3;..
                 4, 1, 10, 4;..
                 4, 2, 11, 1;..
                 4, 2, 11, 2;..
                 4, 2, 11, 3;..
                 4, 2, 11, 4;..
                 4, 3, 12, 1;..
                 4, 3, 12, 2;..
                 4, 3, 12, 3;..
                 4, 3, 12, 4;..
                 5, 1, 13, 1;..
                 5, 1, 13, 2;..
                 5, 1, 13, 3;..
                 5, 1, 13, 4;..
                 5, 2, 14, 1;..
                 5, 2, 14, 2;..
                 5, 2, 14, 3;..
                 5, 2, 14, 4;..
                 5, 3, 15, 1;..
                 5, 3, 15, 2;..
                 5, 3, 15, 3;..
                 5, 3, 15, 4];

//Массив индексируемых имен
etIndexNames = ['begName1%1%1%1NameEn';..
                'begName1%1%1%2NameEn';..
                'begName1%1%1%3NameEn';..
                'begName1%1%1%4NameEn';..
                'begName1%2%2%1NameEn';..
                'begName1%2%2%2NameEn';..
                'begName1%2%2%3NameEn';..
                'begName1%2%2%4NameEn';..
                'begName1%3%3%1NameEn';..
                'begName1%3%3%2NameEn';..
                'begName1%3%3%3NameEn';..
                'begName1%3%3%4NameEn';..
                'begName2%1%4%1NameEn';..
                'begName2%1%4%2NameEn';..
                'begName2%1%4%3NameEn';..
                'begName2%1%4%4NameEn';..
                'begName2%2%5%1NameEn';..
                'begName2%2%5%2NameEn';..
                'begName2%2%5%3NameEn';..
                'begName2%2%5%4NameEn';..
                'begName2%3%6%1NameEn';..
                'begName2%3%6%2NameEn';..
                'begName2%3%6%3NameEn';..
                'begName2%3%6%4NameEn';..
                'begName3%1%7%1NameEn';..
                'begName3%1%7%2NameEn';..
                'begName3%1%7%3NameEn';..
                'begName3%1%7%4NameEn';..
                'begName3%2%8%1NameEn';..
                'begName3%2%8%2NameEn';..
                'begName3%2%8%3NameEn';..
                'begName3%2%8%4NameEn';..
                'begName3%3%9%1NameEn';..
                'begName3%3%9%2NameEn';..
                'begName3%3%9%3NameEn';..
                'begName3%3%9%4NameEn';..
                'begName4%1%10%1NameEn';..
                'begName4%1%10%2NameEn';..
                'begName4%1%10%3NameEn';..
                'begName4%1%10%4NameEn';..
                'begName4%2%11%1NameEn';..
                'begName4%2%11%2NameEn';..
                'begName4%2%11%3NameEn';..
                'begName4%2%11%4NameEn';..
                'begName4%3%12%1NameEn';..
                'begName4%3%12%2NameEn';..
                'begName4%3%12%3NameEn';..
                'begName4%3%12%4NameEn';..
                'begName5%1%13%1NameEn';..
                'begName5%1%13%2NameEn';..
                'begName5%1%13%3NameEn';..
                'begName5%1%13%4NameEn';..
                'begName5%2%14%1NameEn';..
                'begName5%2%14%2NameEn';..
                'begName5%2%14%3NameEn';..
                'begName5%2%14%4NameEn';..
                'begName5%3%15%1NameEn';..
                'begName5%3%15%2NameEn';..
                'begName5%3%15%3NameEn';..
                'begName5%3%15%4NameEn'];

//Запускаем функцию
[indexNames,..
 indexMatrix] = NamesIndexesRange(beginPartName,endPartName,..
                                  indexSepName,minIndexes,..
                                  maxIndexes,stepIndexes,grid);

//Проверяем результат запуска
assert_checkequal(indexNames,etIndexNames);
assert_checkequal(indexMatrix,etIndexMatrix);

//Запускаем функцию
[indexNames,..
 indexMatrix] = NamesIndexesRange(beginPartName,endPartName,..
                                  indexSepName,minIndexes,..
                                  maxIndexes,stepIndexes,[],grid);

//Проверяем результат запуска
assert_checkequal(indexNames,etIndexNames);
assert_checkequal(indexMatrix,etIndexMatrix);

//Запускаем функцию
[indexNames,..
 indexMatrix] = NamesIndexesRange(beginPartName,endPartName,..
                                  indexSepName,minIndexes,..
                                  maxIndexes,grid);

//Проверяем результат запуска
assert_checkequal(indexNames,etIndexNames);
assert_checkequal(indexMatrix,etIndexMatrix);

//Запускаем функцию
[indexNames,..
 indexMatrix] = NamesIndexesRange(beginPartName,endPartName,..
                                  indexSepName,maxIndexes,grid);

//Проверяем результат запуска
assert_checkequal(indexNames,etIndexNames);
assert_checkequal(indexMatrix,etIndexMatrix);
