//Исходные данные для тестирования
beginPartName = "beginName";//Начало имени
endPartName = "NameEnd";//Конец имени
indexSepName = "_";//Разделитель индексов
minIndexes = [4];
maxIndexes = [8];
stepIndexes = [2];
elementsIndexes = ['as','rg','wq','1w','xa','hd','3d','l'];

//Эталонный список индексов
etIndexMatrix = ['1w';..
                 'hd';..
                 'l'];

//Массив индексируемых имен
etIndexNames = ['beginName1wNameEnd';..
                'beginNamehdNameEnd';..
                'beginNamelNameEnd'];

//Запускаем функцию
[indexNames,..
 indexMatrix] = NamesIndexesRange(beginPartName,endPartName,..
                                  indexSepName,minIndexes,..
                                  maxIndexes,stepIndexes,..
                                  elementsIndexes,%f);

//Проверяем результат запуска
assert_checkequal(indexNames,etIndexNames);
assert_checkequal(indexMatrix,etIndexMatrix);

//Запускаем функцию
[indexNames,..
 indexMatrix] = NamesIndexesRange(beginPartName,endPartName,..
                                  indexSepName,minIndexes,..
                                  maxIndexes,stepIndexes,..
                                  elementsIndexes,%t);

//Проверяем результат запуска
assert_checkequal(indexNames,etIndexNames);
assert_checkequal(indexMatrix,etIndexMatrix);

//Запускаем функцию
[indexNames,..
 indexMatrix] = NamesIndexesRange(beginPartName,endPartName,..
                                  indexSepName,minIndexes,..
                                  maxIndexes,stepIndexes,..
                                  elementsIndexes);

//Проверяем результат запуска
assert_checkequal(indexNames,etIndexNames);
assert_checkequal(indexMatrix,etIndexMatrix);
