//Исходные данные для тестирования
beginPartName = "begName";//Начало имени
endPartName = "NameEn";//Конец имени
indexSepName = "%";//Разделитель индексов
minIndexes = [2, 3,  6,  9];
maxIndexes = [5; 9; 10; 16];
stepIndexes = [1, 2, 3, 1];
grid = [%f,%t,%f];

//Эталонный список индексов
etIndexMatrix = [2, 3, 6,  9;..
                 2, 3, 9, 10;..
                 3, 5, 6, 11;..
                 3, 5, 9, 12;..
                 4, 7, 6, 13;..
                 4, 7, 9, 14;..
                 5, 9, 6, 15;..
                 5, 9, 9, 16];

//Массив индексируемых имен
etIndexNames = ['begName2%3%6%9NameEn';..
                'begName2%3%9%10NameEn';..
                'begName3%5%6%11NameEn';..
                'begName3%5%9%12NameEn';..
                'begName4%7%6%13NameEn';..
                'begName4%7%9%14NameEn';..
                'begName5%9%6%15NameEn';..
                'begName5%9%9%16NameEn'];

//Запускаем функцию
[indexNames,..
 indexMatrix] = NamesIndexesRange(beginPartName,endPartName,..
                                  indexSepName,minIndexes,..
                                  maxIndexes,stepIndexes,grid);

//Проверяем результат запуска
assert_checkequal(indexNames,etIndexNames);
assert_checkequal(indexMatrix,etIndexMatrix);

//Запускаем функцию
[indexNames,..
 indexMatrix] = NamesIndexesRange(beginPartName,endPartName,..
                                  indexSepName,minIndexes,..
                                  maxIndexes,stepIndexes,[],grid);

//Проверяем результат запуска
assert_checkequal(indexNames,etIndexNames);
assert_checkequal(indexMatrix,etIndexMatrix);
