//Исходные данные для тестирования
beginPartName = "bName";//Начало имени
endPartName = "NameE";//Конец имени
indexSepName = ".";//Разделитель индексов
minIndexes = [1,  3,  6,  9,  1];
maxIndexes = [5; 15; 11; 16; 60];
stepIndexes = [1, 3, 2, 4, 2];
grid = [%f,%t,%t,%f];

//Эталонный список индексов
etIndexMatrix = [1,  3,  6,  9,  1;..
                 1,  3,  6, 13,  3;..
                 1,  3,  8,  9,  5;..
                 1,  3,  8, 13,  7;..
                 1,  3, 10,  9,  9;..
                 1,  3, 10, 13, 11;..
                 2,  6,  6,  9, 13;..
                 2,  6,  6, 13, 15;..
                 2,  6,  8,  9, 17;..
                 2,  6,  8, 13, 19;..
                 2,  6, 10,  9, 21;..
                 2,  6, 10, 13, 23;..
                 3,  9,  6,  9, 25;..
                 3,  9,  6, 13, 27;..
                 3,  9,  8,  9, 29;..
                 3,  9,  8, 13, 31;..
                 3,  9, 10,  9, 33;..
                 3,  9, 10, 13, 35;..
                 4, 12,  6,  9, 37;..
                 4, 12,  6, 13, 39;..
                 4, 12,  8,  9, 41;..
                 4, 12,  8, 13, 43;..
                 4, 12, 10,  9, 45;..
                 4, 12, 10, 13, 47;..
                 5, 15,  6,  9, 49;..
                 5, 15,  6, 13, 51;..
                 5, 15,  8,  9, 53;..
                 5, 15,  8, 13, 55;..
                 5, 15, 10,  9, 57;..
                 5, 15, 10, 13, 59];

//Массив индексируемых имен
etIndexNames = ['bName1.3.6.9.1NameE';..
                'bName1.3.6.13.3NameE';..
                'bName1.3.8.9.5NameE';..
                'bName1.3.8.13.7NameE';..
                'bName1.3.10.9.9NameE';..
                'bName1.3.10.13.11NameE';..
                'bName2.6.6.9.13NameE';..
                'bName2.6.6.13.15NameE';..
                'bName2.6.8.9.17NameE';..
                'bName2.6.8.13.19NameE';..
                'bName2.6.10.9.21NameE';..
                'bName2.6.10.13.23NameE';..
                'bName3.9.6.9.25NameE';..
                'bName3.9.6.13.27NameE';..
                'bName3.9.8.9.29NameE';..
                'bName3.9.8.13.31NameE';..
                'bName3.9.10.9.33NameE';..
                'bName3.9.10.13.35NameE';..
                'bName4.12.6.9.37NameE';..
                'bName4.12.6.13.39NameE';..
                'bName4.12.8.9.41NameE';..
                'bName4.12.8.13.43NameE';..
                'bName4.12.10.9.45NameE';..
                'bName4.12.10.13.47NameE';..
                'bName5.15.6.9.49NameE';..
                'bName5.15.6.13.51NameE';..
                'bName5.15.8.9.53NameE';..
                'bName5.15.8.13.55NameE';..
                'bName5.15.10.9.57NameE';..
                'bName5.15.10.13.59NameE'];

//Запускаем функцию
[indexNames,..
 indexMatrix] = NamesIndexesRange(beginPartName,endPartName,..
                                  indexSepName,minIndexes,..
                                  maxIndexes,stepIndexes,grid);

//Проверяем результат запуска
assert_checkequal(indexNames,etIndexNames);
assert_checkequal(indexMatrix,etIndexMatrix);

//Запускаем функцию
[indexNames,..
 indexMatrix] = NamesIndexesRange(beginPartName,endPartName,..
                                  indexSepName,minIndexes,..
                                  maxIndexes,stepIndexes,[],grid);

//Проверяем результат запуска
assert_checkequal(indexNames,etIndexNames);
assert_checkequal(indexMatrix,etIndexMatrix);
