//Исходные данные для тестирования
beginPartName = "begName";//Начало имени
endPartName = "NameEn";//Конец имени
indexSepName = "%";//Разделитель индексов
minIndexes = [2, 3, 6,  9];
maxIndexes = [5; 6; 7; 16];
stepIndexes = [1, 1, 1, 1];
grid = [%f,%t,%f];

//Эталонный список индексов
etIndexMatrix = [2, 3, 6,  9;..
                 2, 3, 7, 10;..
                 3, 4, 6, 11;..
                 3, 4, 7, 12;..
                 4, 5, 6, 13;..
                 4, 5, 7, 14;..
                 5, 6, 6, 15;..
                 5, 6, 7, 16];

//Массив индексируемых имен
etIndexNames = ['begName2%3%6%9NameEn';..
                'begName2%3%7%10NameEn';..
                'begName3%4%6%11NameEn';..
                'begName3%4%7%12NameEn';..
                'begName4%5%6%13NameEn';..
                'begName4%5%7%14NameEn';..
                'begName5%6%6%15NameEn';..
                'begName5%6%7%16NameEn'];

//Запускаем функцию
[indexNames,..
 indexMatrix] = NamesIndexesRange(beginPartName,endPartName,..
                                  indexSepName,minIndexes,..
                                  maxIndexes,stepIndexes,grid);

//Проверяем результат запуска
assert_checkequal(indexNames,etIndexNames);
assert_checkequal(indexMatrix,etIndexMatrix);

//Запускаем функцию
[indexNames,..
 indexMatrix] = NamesIndexesRange(beginPartName,endPartName,..
                                  indexSepName,minIndexes,..
                                  maxIndexes,stepIndexes,[],grid);

//Проверяем результат запуска
assert_checkequal(indexNames,etIndexNames);
assert_checkequal(indexMatrix,etIndexMatrix);

//Запускаем функцию
[indexNames,..
 indexMatrix] = NamesIndexesRange(beginPartName,endPartName,..
                                  indexSepName,minIndexes,..
                                  maxIndexes,grid);

//Проверяем результат запуска
assert_checkequal(indexNames,etIndexNames);
assert_checkequal(indexMatrix,etIndexMatrix);
