//Исходные данные для тестирования
indexMatrix1 = [ 5, 10, 15;..
                 9, 12, 17;..
                15, 18, 23;..
                16, 19, 31;..
                21, 25, 33];
indexMatrix2 = [20, 25;..
                 1,  3];
indexMatrix3 = [ 1, 31;..
                 7, 47;..
                14, 51;..
                15, 57;..
                23, 63;..
                 2, 37;..
                 8, 46;..
                15, 53;..
                18, 53;..
                27, 65];
indexMatrix4 = [13, 17,  0;..
                12, 16, 23;..
                 4,  5, 17];
indexMatrix5 = [19];
grid = [%t,%f,%t,%f];//Просто конкатенуем

//Эталонная конкатенованая матрица
etIndexMatrix = [ 5, 10, 15, 20, 25,  1, 31, 13, 17,  0, 19;..
                  5, 10, 15, 20, 25,  1, 31, 12, 16, 23, 19;..
                  5, 10, 15, 20, 25,  1, 31,  4,  5, 17, 19;..
                  5, 10, 15,  1,  3,  7, 47, 13, 17,  0, 19;..
                  5, 10, 15,  1,  3,  7, 47, 12, 16, 23, 19;..
                  5, 10, 15,  1,  3,  7, 47,  4,  5, 17, 19;..
                  9, 12, 17, 20, 25, 14, 51, 13, 17,  0, 19;..
                  9, 12, 17, 20, 25, 14, 51, 12, 16, 23, 19;..
                  9, 12, 17, 20, 25, 14, 51,  4,  5, 17, 19;..
                  9, 12, 17,  1,  3, 15, 57, 13, 17,  0, 19;..
                  9, 12, 17,  1,  3, 15, 57, 12, 16, 23, 19;..
                  9, 12, 17,  1,  3, 15, 57,  4,  5, 17, 19;..
                 15, 18, 23, 20, 25, 23, 63, 13, 17,  0, 19;..
                 15, 18, 23, 20, 25, 23, 63, 12, 16, 23, 19;..
                 15, 18, 23, 20, 25, 23, 63,  4,  5, 17, 19;..
                 15, 18, 23,  1,  3,  2, 37, 13, 17,  0, 19;..
                 15, 18, 23,  1,  3,  2, 37, 12, 16, 23, 19;..
                 15, 18, 23,  1,  3,  2, 37,  4,  5, 17, 19;..
                 16, 19, 31, 20, 25,  8, 46, 13, 17,  0, 19;..
                 16, 19, 31, 20, 25,  8, 46, 12, 16, 23, 19;..
                 16, 19, 31, 20, 25,  8, 46,  4,  5, 17, 19;..
                 16, 19, 31,  1,  3, 15, 53, 13, 17,  0, 19;..
                 16, 19, 31,  1,  3, 15, 53, 12, 16, 23, 19;..
                 16, 19, 31,  1,  3, 15, 53,  4,  5, 17, 19;..
                 21, 25, 33, 20, 25, 18, 53, 13, 17,  0, 19;..
                 21, 25, 33, 20, 25, 18, 53, 12, 16, 23, 19;..
                 21, 25, 33, 20, 25, 18, 53,  4,  5, 17, 19;..
                 21, 25, 33,  1,  3, 27, 65, 13, 17,  0, 19;..
                 21, 25, 33,  1,  3, 27, 65, 12, 16, 23, 19;..
                 21, 25, 33,  1,  3, 27, 65,  4,  5, 17, 19];

//Запускаем функцию
indexMatrix = ConcatIndexes(list(indexMatrix1,indexMatrix2,indexMatrix3,indexMatrix4,indexMatrix5),grid);

//Проверяем результат запуска
assert_checkequal(indexMatrix, etIndexMatrix);
