//Исходные данные для тестирования
indexMatrix1 = [ 1,  2;..
                10, 15];
indexMatrix2 = [3;..
                6;..
                9];
grid = %t;//Просто конкатенуем

//Эталонная конкатенованая матрица
etIndexMatrix = [ 1,  2, 3;..
                  1,  2, 6;..
                  1,  2, 9;..
                 10, 15, 3;..
                 10, 15, 6;..
                 10, 15, 9];

//Запускаем функцию
indexMatrix = ConcatIndexes(indexMatrix1,indexMatrix2,grid);

//Проверяем результат запуска
assert_checkequal(indexMatrix,etIndexMatrix);

//Запускаем функцию
indexMatrix = ConcatIndexes(indexMatrix1,'',grid);

//Проверяем результат запуска
assert_checkequal(indexMatrix,indexMatrix1);

//Запускаем функцию
indexMatrix = ConcatIndexes('',indexMatrix2,grid);

//Проверяем результат запуска
assert_checkequal(indexMatrix,indexMatrix2);

//Запускаем функцию
indexMatrix = ConcatIndexes(indexMatrix1,indexMatrix2);

//Проверяем результат запуска
assert_checkequal(indexMatrix,etIndexMatrix);

//Запускаем функцию
indexMatrix = ConcatIndexes(indexMatrix1,'');

//Проверяем результат запуска
assert_checkequal(indexMatrix,indexMatrix1);

//Запускаем функцию
indexMatrix = ConcatIndexes('',indexMatrix2);

//Проверяем результат запуска
assert_checkequal(indexMatrix,indexMatrix2);

//Запускаем функцию
indexMatrix = ConcatIndexes(indexMatrix1,[],grid);

//Проверяем результат запуска
assert_checkequal(indexMatrix,indexMatrix1);

//Запускаем функцию
indexMatrix = ConcatIndexes([],indexMatrix2,grid);

//Проверяем результат запуска
assert_checkequal(indexMatrix,indexMatrix2);

//Запускаем функцию
indexMatrix = ConcatIndexes(indexMatrix1,[]);

//Проверяем результат запуска
assert_checkequal(indexMatrix,indexMatrix1);

//Запускаем функцию
indexMatrix = ConcatIndexes([],indexMatrix2);

//Проверяем результат запуска
assert_checkequal(indexMatrix,indexMatrix2);
