//Исходные данные для тестирования
minIndexes = [2, 3, 6,  9];
maxIndexes = [5; 6; 7; 16];
stepIndexes = [1, 1, 1, 1];
grid = [%f,%t,%f];

//Эталонный список индексов
etIndexMatrix = [2, 3, 6,  9;..
                 2, 3, 7, 10;..
                 3, 4, 6, 11;..
                 3, 4, 7, 12;..
                 4, 5, 6, 13;..
                 4, 5, 7, 14;..
                 5, 6, 6, 15;..
                 5, 6, 7, 16];

//Запускаем функцию
indexMatrix = ConcatIndexesRange(minIndexes,maxIndexes,..
                                 stepIndexes,grid);

//Проверяем результат запуска
assert_checkequal(indexMatrix,etIndexMatrix);

//Запускаем функцию
indexMatrix = ConcatIndexesRange(minIndexes,maxIndexes,..
                                 stepIndexes,[],grid);

//Проверяем результат запуска
assert_checkequal(indexMatrix,etIndexMatrix);

//Запускаем функцию
indexMatrix = ConcatIndexesRange(minIndexes,maxIndexes,grid);

//Проверяем результат запуска
assert_checkequal(indexMatrix,etIndexMatrix);
