//Исходные данные для тестирования
beginPartName = "begName";//Начало имени
endPartName = "NameEn";//Конец имени
indexSepName = "%";//Разделитель индексов
extFile = ".qw";//Расширение файла
indexMatrix = [ 4,  8, 12;..
                9, 13, 16;..
                7, 14, 20;..
               13, 17, 25;..
               23, 24, 34];

//Эталонная конкатенованая матрица
etFileIndexNames = ["begName4%8%12NameEn.qw";..
                    "begName9%13%16NameEn.qw";..
                    "begName7%14%20NameEn.qw";..
                    "begName13%17%25NameEn.qw";..
                    "begName23%24%34NameEn.qw"];

//Запускаем функцию
[fileIndexNames,..
 cIndexMatrix] = FileNamesIndexes(beginPartName,endPartName,..
                                  indexSepName,extFile,indexMatrix);

//Проверяем результат запуска
assert_checkequal(fileIndexNames,etFileIndexNames);
assert_checkequal(cIndexMatrix,indexMatrix);
