//Исходные данные для тестирования
beginPartName = "begName";//Начало имени
endPartName = "NameEn";//Конец имени
indexSepName = "%";//Разделитель индексов
extFile = "qw";//Расширение файла
indexMatrix1 = [ 4,  8, 12;..
                 9, 11, 16;..
                10, 15, 20;..
                13, 17, 25;..
                22, 24, 29];
indexMatrix2 = [1, 7];

//Эталонная матрица индексов
etIndexMatrix12 = [ 4,  8, 12, 1, 7;..
                    9, 11, 16, 1, 7;..
                   10, 15, 20, 1, 7;..
                   13, 17, 25, 1, 7;..
                   22, 24, 29, 1, 7];
etIndexMatrix21 = [1, 7,  4,  8, 12;..
                   1, 7,  9, 11, 16;..
                   1, 7, 10, 15, 20;..
                   1, 7, 13, 17, 25;..
                   1, 7, 22, 24, 29];

//Эталонная конкатенованая матрица
etFileIndexNames12 = ["begName4%8%12%1%7NameEn.qw";..
                      "begName9%11%16%1%7NameEn.qw";..
                      "begName10%15%20%1%7NameEn.qw";..
                      "begName13%17%25%1%7NameEn.qw";..
                      "begName22%24%29%1%7NameEn.qw"];
etFileIndexNames21 = ["begName1%7%4%8%12NameEn.qw";..
                      "begName1%7%9%11%16NameEn.qw";..
                      "begName1%7%10%15%20NameEn.qw";..
                      "begName1%7%13%17%25NameEn.qw";..
                      "begName1%7%22%24%29NameEn.qw"];

//Запускаем функцию
[fileIndexNames12,..
 indexMatrix12] = FileNamesIndexes(beginPartName,endPartName,..
                                   indexSepName,extFile,..
                                   indexMatrix1,indexMatrix2,%f);
[fileIndexNames21,..
 indexMatrix21] = FileNamesIndexes(beginPartName,endPartName,..
                                   indexSepName,extFile,..
                                   indexMatrix2,indexMatrix1,%f);

//Проверяем результат запуска
assert_checkequal(fileIndexNames12, etFileIndexNames12);
assert_checkequal(fileIndexNames21, etFileIndexNames21);
assert_checkequal(indexMatrix12,etIndexMatrix12);
assert_checkequal(indexMatrix21,etIndexMatrix21);

//Запускаем функцию
[fileIndexNames12,..
 indexMatrix12] = FileNamesIndexes(beginPartName,endPartName,..
                                   indexSepName,extFile,..
                                   indexMatrix1,indexMatrix2,%t);
[fileIndexNames21,..
 indexMatrix21] = FileNamesIndexes(beginPartName,endPartName,..
                                   indexSepName,extFile,..
                                   indexMatrix2,indexMatrix1,%t);

//Проверяем результат запуска
assert_checkequal(fileIndexNames12, etFileIndexNames12);
assert_checkequal(fileIndexNames21, etFileIndexNames21);
assert_checkequal(indexMatrix12,etIndexMatrix12);
assert_checkequal(indexMatrix21,etIndexMatrix21);

//Запускаем функцию
[fileIndexNames12,..
 indexMatrix12] = FileNamesIndexes(beginPartName,endPartName,..
                                   indexSepName,extFile,..
                                   indexMatrix1,indexMatrix2);
[fileIndexNames21,..
 indexMatrix21] = FileNamesIndexes(beginPartName,endPartName,..
                                   indexSepName,extFile,..
                                   indexMatrix2,indexMatrix1);

//Проверяем результат запуска
assert_checkequal(fileIndexNames12, etFileIndexNames12);
assert_checkequal(fileIndexNames21, etFileIndexNames21);
assert_checkequal(indexMatrix12,etIndexMatrix12);
assert_checkequal(indexMatrix21,etIndexMatrix21);
