//Исходные данные для тестирования
beginPartName = "begName";//Начало имени
endPartName = "NameEn";//Конец имени
indexSepName = "%";//Разделитель индексов
extFile = "qw";//Расширение файла
indexMatrix1 = [ 4,  8, 12;..
                 9, 11, 16;..
                10, 15, 20;..
                13, 17, 25;..
                22, 24, 29];
indexMatrix2 = [ 1, 31;..
                 7, 47;..
                14, 51;..
                15, 57;..
                23, 63];
grid = %f;//Просто конкатенуем

//Эталонная матрица индексов
etIndexMatrix = [ 4,  8, 12,  1, 31;..
                  9, 11, 16,  7, 47;..
                 10, 15, 20, 14, 51;..
                 13, 17, 25, 15, 57;..
                 22, 24, 29, 23, 63];

//Эталонная конкатенованая матрица
etFileIndexNames = ["begName4%8%12%1%31NameEn.qw";..
                    "begName9%11%16%7%47NameEn.qw";..
                    "begName10%15%20%14%51NameEn.qw";..
                    "begName13%17%25%15%57NameEn.qw";..
                    "begName22%24%29%23%63NameEn.qw"];
etFileIndexNames1 = ["begName4%8%12NameEn.qw";..
                     "begName9%11%16NameEn.qw";..
                     "begName10%15%20NameEn.qw";..
                     "begName13%17%25NameEn.qw";..
                     "begName22%24%29NameEn.qw"];
etFileIndexNames2 = ["begName1%31NameEn.qw";..
                     "begName7%47NameEn.qw";..
                     "begName14%51NameEn.qw";..
                     "begName15%57NameEn.qw";..
                     "begName23%63NameEn.qw"];

//Запускаем функцию
[fileIndexNames,..
 indexMatrix] = FileNamesIndexes(beginPartName,endPartName,..
                                 indexSepName,extFile,..
                                 indexMatrix1,indexMatrix2,grid);

//Проверяем результат запуска
assert_checkequal(fileIndexNames,etFileIndexNames);
assert_checkequal(indexMatrix,etIndexMatrix);

//Запускаем функцию
[fileIndexNames,..
 indexMatrix] = FileNamesIndexes(beginPartName,endPartName,..
                                 indexSepName,extFile,..
                                 indexMatrix1,[],grid);

//Проверяем результат запуска
assert_checkequal(fileIndexNames,etFileIndexNames1);
assert_checkequal(indexMatrix,indexMatrix1);

//Запускаем функцию
[fileIndexNames,..
 indexMatrix] = FileNamesIndexes(beginPartName,endPartName,..
                                 indexSepName,extFile,..
                                 [],indexMatrix2,grid);

//Проверяем результат запуска
assert_checkequal(fileIndexNames,etFileIndexNames2);
assert_checkequal(indexMatrix,indexMatrix2);
