//Исходные данные для тестирования
beginPartName = "bName";//Начало имени
endPartName = "NameE";//Конец имени
indexSepName = ".";//Разделитель индексов
extFile = ".r4e";//Расширение файла
indexMatrix1 = [1, 2, 5, 7, 10];
indexMatrix2 = [3, 4, 12];
grid = %f;//Просто конкатенуем

//Эталонная матрица индексов
etIndexMatrix = [1, 2, 5, 7, 10, 3, 4, 12];

//Эталонная конкатенованая матрица
etFileIndexNames = "bName1.2.5.7.10.3.4.12NameE.r4e";
etFileIndexNames1 = "bName1.2.5.7.10NameE.r4e";
etFileIndexNames2 = "bName3.4.12NameE.r4e";

//Запускаем функцию
[fileIndexNames,..
 indexMatrix] = FileNamesIndexes(beginPartName,endPartName,..
                                 indexSepName,extFile,..
                                 indexMatrix1,indexMatrix2,grid);

//Проверяем результат запуска
assert_checkequal(fileIndexNames,etFileIndexNames);
assert_checkequal(indexMatrix,etIndexMatrix);

//Запускаем функцию
[fileIndexNames,..
 indexMatrix] = FileNamesIndexes(beginPartName,endPartName,..
                                 indexSepName,extFile,..
                                 indexMatrix1,'',grid);

//Проверяем результат запуска
assert_checkequal(fileIndexNames,etFileIndexNames1);
assert_checkequal(indexMatrix,indexMatrix1);

//Запускаем функцию
[fileIndexNames,..
 indexMatrix] = FileNamesIndexes(beginPartName,endPartName,..
                                 indexSepName,extFile,'',..
                                 indexMatrix2,grid);

//Проверяем результат запуска
assert_checkequal(fileIndexNames,etFileIndexNames2);
assert_checkequal(indexMatrix,indexMatrix2);
