//Исходные данные для тестирования
beginPartName = "beginName";//Начало имени
endPartName = "NameEnd";//Конец имени
indexSepName = "_";//Разделитель индексов
extFile = "rew";//Расширение файла
indexMatrix = [ 1;..
                5;..
               10];

//Эталонная конкатенованая матрица
etFileIndexNames = ["beginName1NameEnd.rew";..
                    "beginName5NameEnd.rew";..
                    "beginName10NameEnd.rew"];

//Запускаем функцию
[fileIndexNames,..
 cIndexMatrix] = FileNamesIndexes(beginPartName,endPartName,..
                                  indexSepName,extFile,indexMatrix);

//Проверяем результат запуска
assert_checkequal(fileIndexNames,etFileIndexNames);
assert_checkequal(cIndexMatrix,indexMatrix);
