//Исходные данные для тестирования
beginPartName = "beginName";//Начало имени
endPartName = "NameEnd";//Конец имени
indexSepName = "_";//Разделитель индексов
extFile = ".rou";//Расширение файла
indexMatrix = [ 1;..
                7;..
               17];

//Эталонная конкатенованая матрица
etFileIndexNames = ["beginName1NameEnd.rou";..
                    "beginName7NameEnd.rou";..
                    "beginName17NameEnd.rou"];

//Запускаем функцию
[fileIndexNames,..
 cIndexMatrix] = FileNamesIndexes(beginPartName,endPartName,..
                                  indexSepName,extFile,indexMatrix);

//Проверяем результат запуска
assert_checkequal(fileIndexNames,etFileIndexNames);
assert_checkequal(cIndexMatrix,indexMatrix);
