//Исходные данные для тестирования
beginPartName = "begName";//Начало имени
endPartName = "NameEn";//Конец имени
indexSepName = "%";//Разделитель индексов
extFile = "pu";//Расширение файла
indexMatrix1 = [12, 13, 18;..
                45, 78, 93;..
                 3, 17, 76];

//Эталонная матрица индексов
etIndexMatrix = [12, 13, 18;..
                 45, 78, 93;..
                  3, 17, 76];

//Эталонная конкатенованая матрица
etFileIndexNames = ["begName12%13%18NameEn.pu";..
                    "begName45%78%93NameEn.pu";..
                    "begName3%17%76NameEn.pu"];

//Запускаем функцию
[fileIndexNames,..
 indexMatrix] = FileNamesIndexes(beginPartName,endPartName,..
                                 indexSepName,extFile,..
                                 list(indexMatrix1),..
                                 [%f,%t,%f]);

//Проверяем результат запуска
assert_checkequal(fileIndexNames, etFileIndexNames);
assert_checkequal(indexMatrix,etIndexMatrix);

//Запускаем функцию
[fileIndexNames,..
 indexMatrix] = FileNamesIndexes(beginPartName,endPartName,..
                                 indexSepName,extFile,..
                                 list(indexMatrix1),..
                                 [%f,%f,%t,%f,%f]);

//Проверяем результат запуска
assert_checkequal(fileIndexNames, etFileIndexNames);
assert_checkequal(indexMatrix,etIndexMatrix);
