//Исходные данные для тестирования
beginPartName = "begName";//Начало имени
endPartName = "NameEn";//Конец имени
indexSepName = "%";//Разделитель индексов
extFile = ".qw";//Расширение файла
indexMatrix1 = [ 5,  9, 10;..
                33, 61, 76;..
                80, 95, 60;..
                93, 87, 15;..
                12, 44, 59;..
                15, 45, 52];
indexMatrix2 = [ 2, 35;..
                 6, 42;..
                16, 53;..
                 1, 11];
grid = %t;//Просто конкатенуем

//Эталонная матрица индексов
etIndexMatrix = [ 5,  9, 10,  2, 35;..
                  5,  9, 10,  6, 42;..
                  5,  9, 10, 16, 53;..
                  5,  9, 10,  1, 11;..
                 33, 61, 76,  2, 35;..
                 33, 61, 76,  6, 42;..
                 33, 61, 76, 16, 53;..
                 33, 61, 76,  1, 11;..
                 80, 95, 60,  2, 35;..
                 80, 95, 60,  6, 42;..
                 80, 95, 60, 16, 53;..
                 80, 95, 60,  1, 11;..
                 93, 87, 15,  2, 35;..
                 93, 87, 15,  6, 42;..
                 93, 87, 15, 16, 53;..
                 93, 87, 15,  1, 11;..
                 12, 44, 59,  2, 35;..
                 12, 44, 59,  6, 42;..
                 12, 44, 59, 16, 53;..
                 12, 44, 59,  1, 11;..
                 15, 45, 52,  2, 35;..
                 15, 45, 52,  6, 42;..
                 15, 45, 52, 16, 53;..
                 15, 45, 52,  1, 11];

//Эталонная конкатенованая матрица
etFileIndexNames = ["begName5%9%10%2%35NameEn.qw";..
                    "begName5%9%10%6%42NameEn.qw";..
                    "begName5%9%10%16%53NameEn.qw";..
                    "begName5%9%10%1%11NameEn.qw";..
                    "begName33%61%76%2%35NameEn.qw";..
                    "begName33%61%76%6%42NameEn.qw";..
                    "begName33%61%76%16%53NameEn.qw";..
                    "begName33%61%76%1%11NameEn.qw";..
                    "begName80%95%60%2%35NameEn.qw";..
                    "begName80%95%60%6%42NameEn.qw";..
                    "begName80%95%60%16%53NameEn.qw";..
                    "begName80%95%60%1%11NameEn.qw";..
                    "begName93%87%15%2%35NameEn.qw";..
                    "begName93%87%15%6%42NameEn.qw";..
                    "begName93%87%15%16%53NameEn.qw";..
                    "begName93%87%15%1%11NameEn.qw";..
                    "begName12%44%59%2%35NameEn.qw";..
                    "begName12%44%59%6%42NameEn.qw";..
                    "begName12%44%59%16%53NameEn.qw";..
                    "begName12%44%59%1%11NameEn.qw";..
                    "begName15%45%52%2%35NameEn.qw";..
                    "begName15%45%52%6%42NameEn.qw";..
                    "begName15%45%52%16%53NameEn.qw";..
                    "begName15%45%52%1%11NameEn.qw"];
etFileIndexNames1 = ["begName5%9%10NameEn.qw";..
                     "begName33%61%76NameEn.qw";..
                     "begName80%95%60NameEn.qw";..
                     "begName93%87%15NameEn.qw";..
                     "begName12%44%59NameEn.qw";..
                     "begName15%45%52NameEn.qw"];
etFileIndexNames2 = ["begName2%35NameEn.qw";..
                     "begName6%42NameEn.qw";..
                     "begName16%53NameEn.qw";..
                     "begName1%11NameEn.qw"];

//Запускаем функцию
[fileIndexNames,..
 indexMatrix] = FileNamesIndexes(beginPartName,endPartName,..
                                 indexSepName,extFile,..
                                 indexMatrix1,indexMatrix2,grid);

//Проверяем результат запуска
assert_checkequal(fileIndexNames,etFileIndexNames);
assert_checkequal(indexMatrix,etIndexMatrix);

//Запускаем функцию
[fileIndexNames,..
 indexMatrix] = FileNamesIndexes(beginPartName,endPartName,..
                                 indexSepName,extFile,..
                                 indexMatrix1,[],grid);

//Проверяем результат запуска
assert_checkequal(fileIndexNames,etFileIndexNames1);
assert_checkequal(indexMatrix,indexMatrix1);

//Запускаем функцию
[fileIndexNames,..
 indexMatrix] = FileNamesIndexes(beginPartName,endPartName,..
                                 indexSepName,extFile,[],..
                                 indexMatrix2,grid);

//Проверяем результат запуска
assert_checkequal(fileIndexNames,etFileIndexNames2);
assert_checkequal(indexMatrix,indexMatrix2);

//Запускаем функцию
[fileIndexNames,..
 indexMatrix] = FileNamesIndexes(beginPartName,endPartName,..
                                 indexSepName,extFile,..
                                 indexMatrix1,indexMatrix2);

//Проверяем результат запуска
assert_checkequal(fileIndexNames,etFileIndexNames);
assert_checkequal(indexMatrix,etIndexMatrix);

//Запускаем функцию
[fileIndexNames,..
 indexMatrix] = FileNamesIndexes(beginPartName,endPartName,..
                                 indexSepName,extFile,..
                                 indexMatrix1,[]);

//Проверяем результат запуска
assert_checkequal(fileIndexNames,etFileIndexNames1);
assert_checkequal(indexMatrix,indexMatrix1);

//Запускаем функцию
[fileIndexNames,..
 indexMatrix] = FileNamesIndexes(beginPartName,endPartName,..
                                 indexSepName,extFile,[],..
                                 indexMatrix2);

//Проверяем результат запуска
assert_checkequal(fileIndexNames,etFileIndexNames2);
assert_checkequal(indexMatrix,indexMatrix2);
