//Исходные данные для тестирования
beginPartName = "bName";//Начало имени
endPartName = "NameE";//Конец имени
indexSepName = ".";//Разделитель индексов
extFile = "r4e";//Расширение файла
minIndexes = [1,  3,  6,  9,  1];
maxIndexes = [5; 15; 11; 16; 60];
stepIndexes = [1, 3, 2, 4, 2];
elementsIndexes = ['tr','5e','mn2','q3e','762','hd6','3rd','o','tew','7u','t5u','lk','he3','uy3','iu8','fr2','uy3','32','r1','4r5','uy1','lk3','kliu3','j4j3w1','jh1','jh2','jh','n','7y','uy','tr1','5e2','mn23','q3e1','762r','hd6f','3rd2','o1','tew1','7u1','t5u1','lk1','he3r','uy3e','iu8f','fr2v','uy3w','32q','r1w','4r5b','uy1c','lk3e','kliu3t','j4j3w4','jh1b','jh2c','jh1','n3','7y2','uy1'];
grid = [%f,%t,%t,%f];

//Эталонный список индексов
etIndexMatrix = [ 'tr','mn2','hd6','tew',    'tr';..
                  'tr','mn2','hd6','he3',   'mn2';..
                  'tr','mn2',  'o','tew',   '762';..
                  'tr','mn2',  'o','he3',   '3rd';..
                  'tr','mn2', '7u','tew',   'tew';..
                  'tr','mn2', '7u','he3',   't5u';..
                  '5e','hd6','hd6','tew',   'he3';..
                  '5e','hd6','hd6','he3',   'iu8';..
                  '5e','hd6',  'o','tew',   'uy3';..
                  '5e','hd6',  'o','he3',    'r1';..
                  '5e','hd6', '7u','tew',   'uy1';..
                  '5e','hd6', '7u','he3', 'kliu3';..
                 'mn2','tew','hd6','tew',   'jh1';..
                 'mn2','tew','hd6','he3',    'jh';..
                 'mn2','tew',  'o','tew',    '7y';..
                 'mn2','tew',  'o','he3',   'tr1';..
                 'mn2','tew', '7u','tew',  'mn23';..
                 'mn2','tew', '7u','he3',  '762r';..
                 'q3e', 'lk','hd6','tew',  '3rd2';..
                 'q3e', 'lk','hd6','he3',  'tew1';..
                 'q3e', 'lk',  'o','tew',  't5u1';..
                 'q3e', 'lk',  'o','he3',  'he3r';..
                 'q3e', 'lk', '7u','tew',  'iu8f';..
                 'q3e', 'lk', '7u','he3',  'uy3w';..
                 '762','iu8','hd6','tew',   'r1w';..
                 '762','iu8','hd6','he3',  'uy1c';..
                 '762','iu8',  'o','tew','kliu3t';..
                 '762','iu8',  'o','he3',  'jh1b';..
                 '762','iu8', '7u','tew',   'jh1';..
                 '762','iu8', '7u','he3',   '7y2'];

//Массив индексируемых имен
etFileIndexNames = ['bNametr.mn2.hd6.tew.trNameE.r4e';..
                    'bNametr.mn2.hd6.he3.mn2NameE.r4e';..
                    'bNametr.mn2.o.tew.762NameE.r4e';..
                    'bNametr.mn2.o.he3.3rdNameE.r4e';..
                    'bNametr.mn2.7u.tew.tewNameE.r4e';..
                    'bNametr.mn2.7u.he3.t5uNameE.r4e';..
                    'bName5e.hd6.hd6.tew.he3NameE.r4e';..
                    'bName5e.hd6.hd6.he3.iu8NameE.r4e';..
                    'bName5e.hd6.o.tew.uy3NameE.r4e';..
                    'bName5e.hd6.o.he3.r1NameE.r4e';..
                    'bName5e.hd6.7u.tew.uy1NameE.r4e';..
                    'bName5e.hd6.7u.he3.kliu3NameE.r4e';..
                    'bNamemn2.tew.hd6.tew.jh1NameE.r4e';..
                    'bNamemn2.tew.hd6.he3.jhNameE.r4e';..
                    'bNamemn2.tew.o.tew.7yNameE.r4e';..
                    'bNamemn2.tew.o.he3.tr1NameE.r4e';..
                    'bNamemn2.tew.7u.tew.mn23NameE.r4e';..
                    'bNamemn2.tew.7u.he3.762rNameE.r4e';..
                    'bNameq3e.lk.hd6.tew.3rd2NameE.r4e';..
                    'bNameq3e.lk.hd6.he3.tew1NameE.r4e';..
                    'bNameq3e.lk.o.tew.t5u1NameE.r4e';..
                    'bNameq3e.lk.o.he3.he3rNameE.r4e';..
                    'bNameq3e.lk.7u.tew.iu8fNameE.r4e';..
                    'bNameq3e.lk.7u.he3.uy3wNameE.r4e';..
                    'bName762.iu8.hd6.tew.r1wNameE.r4e';..
                    'bName762.iu8.hd6.he3.uy1cNameE.r4e';..
                    'bName762.iu8.o.tew.kliu3tNameE.r4e';..
                    'bName762.iu8.o.he3.jh1bNameE.r4e';..
                    'bName762.iu8.7u.tew.jh1NameE.r4e';..
                    'bName762.iu8.7u.he3.7y2NameE.r4e'];

//Запускаем функцию
[fileIndexNames,..
 indexMatrix] = FileNamesIndexesRange(beginPartName,endPartName,..
                                      indexSepName,extFile,..
                                      minIndexes,maxIndexes,..
                                      stepIndexes,elementsIndexes,..
                                      grid);

//Проверяем результат запуска
assert_checkequal(fileIndexNames,etFileIndexNames);
assert_checkequal(indexMatrix,etIndexMatrix);
