//Исходные данные для тестирования
beginPartName = "begName";//Начало имени
endPartName = "NameEn";//Конец имени
indexSepName = "%";//Разделитель индексов
extFile = "qw";//Расширение файла
minIndexes = [1, 1,  1, 1];
maxIndexes = [5; 3; 15; 4];
stepIndexes = [1, 1, 1, 1];
grid = [%t,%f,%t];

//Эталонный список индексов
etIndexMatrix = [1, 1,  1, 1;..
                 1, 1,  1, 2;..
                 1, 1,  1, 3;..
                 1, 1,  1, 4;..
                 1, 2,  2, 1;..
                 1, 2,  2, 2;..
                 1, 2,  2, 3;..
                 1, 2,  2, 4;..
                 1, 3,  3, 1;..
                 1, 3,  3, 2;..
                 1, 3,  3, 3;..
                 1, 3,  3, 4;..
                 2, 1,  4, 1;..
                 2, 1,  4, 2;..
                 2, 1,  4, 3;..
                 2, 1,  4, 4;..
                 2, 2,  5, 1;..
                 2, 2,  5, 2;..
                 2, 2,  5, 3;..
                 2, 2,  5, 4;..
                 2, 3,  6, 1;..
                 2, 3,  6, 2;..
                 2, 3,  6, 3;..
                 2, 3,  6, 4;..
                 3, 1,  7, 1;..
                 3, 1,  7, 2;..
                 3, 1,  7, 3;..
                 3, 1,  7, 4;..
                 3, 2,  8, 1;..
                 3, 2,  8, 2;..
                 3, 2,  8, 3;..
                 3, 2,  8, 4;..
                 3, 3,  9, 1;..
                 3, 3,  9, 2;..
                 3, 3,  9, 3;..
                 3, 3,  9, 4;..
                 4, 1, 10, 1;..
                 4, 1, 10, 2;..
                 4, 1, 10, 3;..
                 4, 1, 10, 4;..
                 4, 2, 11, 1;..
                 4, 2, 11, 2;..
                 4, 2, 11, 3;..
                 4, 2, 11, 4;..
                 4, 3, 12, 1;..
                 4, 3, 12, 2;..
                 4, 3, 12, 3;..
                 4, 3, 12, 4;..
                 5, 1, 13, 1;..
                 5, 1, 13, 2;..
                 5, 1, 13, 3;..
                 5, 1, 13, 4;..
                 5, 2, 14, 1;..
                 5, 2, 14, 2;..
                 5, 2, 14, 3;..
                 5, 2, 14, 4;..
                 5, 3, 15, 1;..
                 5, 3, 15, 2;..
                 5, 3, 15, 3;..
                 5, 3, 15, 4];

//Массив индексируемых имен
etFileIndexNames = ['begName1%1%1%1NameEn.qw';..
                    'begName1%1%1%2NameEn.qw';..
                    'begName1%1%1%3NameEn.qw';..
                    'begName1%1%1%4NameEn.qw';..
                    'begName1%2%2%1NameEn.qw';..
                    'begName1%2%2%2NameEn.qw';..
                    'begName1%2%2%3NameEn.qw';..
                    'begName1%2%2%4NameEn.qw';..
                    'begName1%3%3%1NameEn.qw';..
                    'begName1%3%3%2NameEn.qw';..
                    'begName1%3%3%3NameEn.qw';..
                    'begName1%3%3%4NameEn.qw';..
                    'begName2%1%4%1NameEn.qw';..
                    'begName2%1%4%2NameEn.qw';..
                    'begName2%1%4%3NameEn.qw';..
                    'begName2%1%4%4NameEn.qw';..
                    'begName2%2%5%1NameEn.qw';..
                    'begName2%2%5%2NameEn.qw';..
                    'begName2%2%5%3NameEn.qw';..
                    'begName2%2%5%4NameEn.qw';..
                    'begName2%3%6%1NameEn.qw';..
                    'begName2%3%6%2NameEn.qw';..
                    'begName2%3%6%3NameEn.qw';..
                    'begName2%3%6%4NameEn.qw';..
                    'begName3%1%7%1NameEn.qw';..
                    'begName3%1%7%2NameEn.qw';..
                    'begName3%1%7%3NameEn.qw';..
                    'begName3%1%7%4NameEn.qw';..
                    'begName3%2%8%1NameEn.qw';..
                    'begName3%2%8%2NameEn.qw';..
                    'begName3%2%8%3NameEn.qw';..
                    'begName3%2%8%4NameEn.qw';..
                    'begName3%3%9%1NameEn.qw';..
                    'begName3%3%9%2NameEn.qw';..
                    'begName3%3%9%3NameEn.qw';..
                    'begName3%3%9%4NameEn.qw';..
                    'begName4%1%10%1NameEn.qw';..
                    'begName4%1%10%2NameEn.qw';..
                    'begName4%1%10%3NameEn.qw';..
                    'begName4%1%10%4NameEn.qw';..
                    'begName4%2%11%1NameEn.qw';..
                    'begName4%2%11%2NameEn.qw';..
                    'begName4%2%11%3NameEn.qw';..
                    'begName4%2%11%4NameEn.qw';..
                    'begName4%3%12%1NameEn.qw';..
                    'begName4%3%12%2NameEn.qw';..
                    'begName4%3%12%3NameEn.qw';..
                    'begName4%3%12%4NameEn.qw';..
                    'begName5%1%13%1NameEn.qw';..
                    'begName5%1%13%2NameEn.qw';..
                    'begName5%1%13%3NameEn.qw';..
                    'begName5%1%13%4NameEn.qw';..
                    'begName5%2%14%1NameEn.qw';..
                    'begName5%2%14%2NameEn.qw';..
                    'begName5%2%14%3NameEn.qw';..
                    'begName5%2%14%4NameEn.qw';..
                    'begName5%3%15%1NameEn.qw';..
                    'begName5%3%15%2NameEn.qw';..
                    'begName5%3%15%3NameEn.qw';..
                    'begName5%3%15%4NameEn.qw'];

//Запускаем функцию
[fileIndexNames,..
 indexMatrix] = FileNamesIndexesRange(beginPartName,endPartName,..
                                      indexSepName,extFile,..
                                      minIndexes,maxIndexes,..
                                      stepIndexes,grid);

//Проверяем результат запуска
assert_checkequal(fileIndexNames,etFileIndexNames);
assert_checkequal(indexMatrix,etIndexMatrix);

//Запускаем функцию
[fileIndexNames,..
 indexMatrix] = FileNamesIndexesRange(beginPartName,endPartName,..
                                      indexSepName,extFile,..
                                      minIndexes,maxIndexes,..
                                      stepIndexes,[],grid);

//Проверяем результат запуска
assert_checkequal(fileIndexNames,etFileIndexNames);
assert_checkequal(indexMatrix,etIndexMatrix);

//Запускаем функцию
[fileIndexNames,..
 indexMatrix] = FileNamesIndexesRange(beginPartName,endPartName,..
                                      indexSepName,extFile,..
                                      minIndexes,maxIndexes,grid);

//Проверяем результат запуска
assert_checkequal(fileIndexNames,etFileIndexNames);
assert_checkequal(indexMatrix,etIndexMatrix);

//Запускаем функцию
[fileIndexNames,..
 indexMatrix] = FileNamesIndexesRange(beginPartName,endPartName,..
                                      indexSepName,extFile,..
                                      maxIndexes,grid);

//Проверяем результат запуска
assert_checkequal(fileIndexNames,etFileIndexNames);
assert_checkequal(indexMatrix,etIndexMatrix);
