//Исходные данные для тестирования
beginPartName = "begName";//Начало имени
endPartName = "NameEn";//Конец имени
indexSepName = "%";//Разделитель индексов
extFile = ".qw";//Расширение файла
minIndexes = [2, 3, 6,  9];
maxIndexes = [5; 6; 7; 16];
stepIndexes = [1, 1, 1, 1];
grid = [%f,%t,%f];

//Эталонный список индексов
etIndexMatrix = [2, 3, 6,  9;..
                 2, 3, 7, 10;..
                 3, 4, 6, 11;..
                 3, 4, 7, 12;..
                 4, 5, 6, 13;..
                 4, 5, 7, 14;..
                 5, 6, 6, 15;..
                 5, 6, 7, 16];

//Массив индексируемых имен
etFileIndexNames = ['begName2%3%6%9NameEn.qw';..
                    'begName2%3%7%10NameEn.qw';..
                    'begName3%4%6%11NameEn.qw';..
                    'begName3%4%7%12NameEn.qw';..
                    'begName4%5%6%13NameEn.qw';..
                    'begName4%5%7%14NameEn.qw';..
                    'begName5%6%6%15NameEn.qw';..
                    'begName5%6%7%16NameEn.qw'];

//Запускаем функцию
[fileIndexNames,..
 indexMatrix] = FileNamesIndexesRange(beginPartName,endPartName,..
                                      indexSepName,extFile,..
                                      minIndexes,maxIndexes,..
                                      stepIndexes,grid);

//Проверяем результат запуска
assert_checkequal(fileIndexNames,etFileIndexNames);
assert_checkequal(indexMatrix,etIndexMatrix);

//Запускаем функцию
[fileIndexNames,..
 indexMatrix] = FileNamesIndexesRange(beginPartName,endPartName,..
                                      indexSepName,extFile,..
                                      minIndexes,maxIndexes,..
                                      stepIndexes,[],grid);

//Проверяем результат запуска
assert_checkequal(fileIndexNames,etFileIndexNames);
assert_checkequal(indexMatrix,etIndexMatrix);

//Запускаем функцию
[fileIndexNames,..
 indexMatrix] = FileNamesIndexesRange(beginPartName,endPartName,..
                                      indexSepName,extFile,..
                                      minIndexes,maxIndexes,grid);

//Проверяем результат запуска
assert_checkequal(fileIndexNames,etFileIndexNames);
assert_checkequal(indexMatrix,etIndexMatrix);
