//Исходные данные для тестирования
beginPartName = "bName";//Начало имени
endPartName = "NameE";//Конец имени
indexSepName = ".";//Разделитель индексов
extFile = ".r4e";//Расширение файла
minIndexes = [1, 3, 6,  9,  1];
maxIndexes = [5; 7; 8; 10; 30];
stepIndexes = [1, 1, 1, 1,  1];
grid = [%f,%t,%t,%f];

//Эталонный список индексов
etIndexMatrix = [1, 3, 6,  9,  1;..
                 1, 3, 6, 10,  2;..
                 1, 3, 7,  9,  3;..
                 1, 3, 7, 10,  4;..
                 1, 3, 8,  9,  5;..
                 1, 3, 8, 10,  6;..
                 2, 4, 6,  9,  7;..
                 2, 4, 6, 10,  8;..
                 2, 4, 7,  9,  9;..
                 2, 4, 7, 10, 10;..
                 2, 4, 8,  9, 11;..
                 2, 4, 8, 10, 12;..
                 3, 5, 6,  9, 13;..
                 3, 5, 6, 10, 14;..
                 3, 5, 7,  9, 15;..
                 3, 5, 7, 10, 16;..
                 3, 5, 8,  9, 17;..
                 3, 5, 8, 10, 18;..
                 4, 6, 6,  9, 19;..
                 4, 6, 6, 10, 20;..
                 4, 6, 7,  9, 21;..
                 4, 6, 7, 10, 22;..
                 4, 6, 8,  9, 23;..
                 4, 6, 8, 10, 24;..
                 5, 7, 6,  9, 25;..
                 5, 7, 6, 10, 26;..
                 5, 7, 7,  9, 27;..
                 5, 7, 7, 10, 28;..
                 5, 7, 8,  9, 29;..
                 5, 7, 8, 10, 30];

//Массив индексируемых имен
etFileIndexNames = ['bName1.3.6.9.1NameE.r4e';..
                    'bName1.3.6.10.2NameE.r4e';..
                    'bName1.3.7.9.3NameE.r4e';..
                    'bName1.3.7.10.4NameE.r4e';..
                    'bName1.3.8.9.5NameE.r4e';..
                    'bName1.3.8.10.6NameE.r4e';..
                    'bName2.4.6.9.7NameE.r4e';..
                    'bName2.4.6.10.8NameE.r4e';..
                    'bName2.4.7.9.9NameE.r4e';..
                    'bName2.4.7.10.10NameE.r4e';..
                    'bName2.4.8.9.11NameE.r4e';..
                    'bName2.4.8.10.12NameE.r4e';..
                    'bName3.5.6.9.13NameE.r4e';..
                    'bName3.5.6.10.14NameE.r4e';..
                    'bName3.5.7.9.15NameE.r4e';..
                    'bName3.5.7.10.16NameE.r4e';..
                    'bName3.5.8.9.17NameE.r4e';..
                    'bName3.5.8.10.18NameE.r4e';..
                    'bName4.6.6.9.19NameE.r4e';..
                    'bName4.6.6.10.20NameE.r4e';..
                    'bName4.6.7.9.21NameE.r4e';..
                    'bName4.6.7.10.22NameE.r4e';..
                    'bName4.6.8.9.23NameE.r4e';..
                    'bName4.6.8.10.24NameE.r4e';..
                    'bName5.7.6.9.25NameE.r4e';..
                    'bName5.7.6.10.26NameE.r4e';..
                    'bName5.7.7.9.27NameE.r4e';..
                    'bName5.7.7.10.28NameE.r4e';..
                    'bName5.7.8.9.29NameE.r4e';..
                    'bName5.7.8.10.30NameE.r4e'];

//Запускаем функцию
[fileIndexNames,..
 indexMatrix] = FileNamesIndexesRange(beginPartName,endPartName,..
                                      indexSepName,extFile,..
                                      minIndexes,maxIndexes,..
                                      stepIndexes,grid);

//Проверяем результат запуска
assert_checkequal(fileIndexNames,etFileIndexNames);
assert_checkequal(indexMatrix,etIndexMatrix);

//Запускаем функцию
[fileIndexNames,..
 indexMatrix] = FileNamesIndexesRange(beginPartName,endPartName,..
                                      indexSepName,extFile,..
                                      minIndexes,maxIndexes,..
                                      stepIndexes,[],grid);

//Проверяем результат запуска
assert_checkequal(fileIndexNames,etFileIndexNames);
assert_checkequal(indexMatrix,etIndexMatrix);

//Запускаем функцию
[fileIndexNames,..
 indexMatrix] = FileNamesIndexesRange(beginPartName,endPartName,..
                                      indexSepName,extFile,..
                                      minIndexes,maxIndexes,grid);

//Проверяем результат запуска
assert_checkequal(fileIndexNames,etFileIndexNames);
assert_checkequal(indexMatrix,etIndexMatrix);
