//Исходные данные для тестирования
beginPartName = "begName";//Начало имени
endPartName = "NameEn";//Конец имени
indexSepName = "%";//Разделитель индексов
indexMatrix1 = [ 4,  8, 12;..
                 9, 11, 16;..
                10, 15, 20;..
                13, 17, 25;..
                22, 24, 29];
indexMatrix2 = [20, 25];
indexMatrix3 = [ 1, 31;..
                 7, 47;..
                14, 51;..
                15, 57;..
                23, 63];
indexMatrix4 = [13, 17,  0;..
                12, 16, 23;..
                 4,  5, 17;..
                10,  6, 22;..
                45, 51, 26];

//Эталонная матрица индексов
etIndexMatrix = [ 4,  8, 12, 20, 25,  1, 31, 13, 17,  0;..
                  9, 11, 16, 20, 25,  7, 47, 12, 16, 23;..
                 10, 15, 20, 20, 25, 14, 51,  4,  5, 17;..
                 13, 17, 25, 20, 25, 15, 57, 10,  6, 22;..
                 22, 24, 29, 20, 25, 23, 63, 45, 51, 26];

//Эталонная конкатенованая матрица
etIndexNames = ["begName4%8%12%20%25%1%31%13%17%0NameEn";..
                "begName9%11%16%20%25%7%47%12%16%23NameEn";..
                "begName10%15%20%20%25%14%51%4%5%17NameEn";..
                "begName13%17%25%20%25%15%57%10%6%22NameEn";..
                "begName22%24%29%20%25%23%63%45%51%26NameEn"];

//Запускаем функцию
[indexNames,..
 indexMatrix] = NamesIndexes(beginPartName,endPartName,..
                             indexSepName,..
                             list(indexMatrix1,..
                                  indexMatrix2,..
                                  indexMatrix3,..
                                  indexMatrix4),..
                             %f);

//Проверяем результат запуска
assert_checkequal(indexNames, etIndexNames);
assert_checkequal(indexMatrix,etIndexMatrix);

//Запускаем функцию
[indexNames,..
 indexMatrix] = NamesIndexes(beginPartName,endPartName,..
                             indexSepName,..
                             list(indexMatrix1,..
                                  indexMatrix2,'',..
                                  indexMatrix3,..
                                  indexMatrix4,''),..
                             %f);

//Проверяем результат запуска
assert_checkequal(indexNames, etIndexNames);
assert_checkequal(indexMatrix,etIndexMatrix);
