//Исходные данные для тестирования
beginPartName = "begName";//Начало имени
endPartName = "NameEn";//Конец имени
indexSepName = "%";//Разделитель индексов
indexMatrix1 = [ 4,  8, 12;..
                 9, 11, 16;..
                10, 15, 20;..
                13, 17, 25;..
                22, 24, 29];
indexMatrix2 = [ 1, 31;..
                 7, 47;..
                14, 51;..
                15, 57;..
                23, 63];
grid = %f;//Просто конкатенуем

//Эталонная матрица индексов
etIndexMatrix = [ 4,  8, 12,  1, 31;..
                  9, 11, 16,  7, 47;..
                 10, 15, 20, 14, 51;..
                 13, 17, 25, 15, 57;..
                 22, 24, 29, 23, 63];

//Эталонная конкатенованая матрица
etIndexNames = ["begName4%8%12%1%31NameEn";..
                "begName9%11%16%7%47NameEn";..
                "begName10%15%20%14%51NameEn";..
                "begName13%17%25%15%57NameEn";..
                "begName22%24%29%23%63NameEn"];
etIndexNames1 = ["begName4%8%12NameEn";..
                 "begName9%11%16NameEn";..
                 "begName10%15%20NameEn";..
                 "begName13%17%25NameEn";..
                 "begName22%24%29NameEn"];
etIndexNames2 = ["begName1%31NameEn";..
                 "begName7%47NameEn";..
                 "begName14%51NameEn";..
                 "begName15%57NameEn";..
                 "begName23%63NameEn"];

//Запускаем функцию
[indexNames,..
 indexMatrix] = NamesIndexes(beginPartName,endPartName,..
                             indexSepName,indexMatrix1,..
                             indexMatrix2,grid);

//Проверяем результат запуска
assert_checkequal(indexNames,etIndexNames);
assert_checkequal(indexMatrix,etIndexMatrix);

//Запускаем функцию
[indexNames,..
 indexMatrix] = NamesIndexes(beginPartName,endPartName,..
                             indexSepName,indexMatrix1,[],grid);

//Проверяем результат запуска
assert_checkequal(indexNames,etIndexNames1);
assert_checkequal(indexMatrix,indexMatrix1);

//Запускаем функцию
[indexNames,..
 indexMatrix] = NamesIndexes(beginPartName,endPartName,..
                             indexSepName,[],indexMatrix2,grid);

//Проверяем результат запуска
assert_checkequal(indexNames,etIndexNames2);
assert_checkequal(indexMatrix,indexMatrix2);
