//Исходные данные для тестирования
beginPartName = "beginName";//Начало имени
endPartName = "NameEnd";//Конец имени
indexSepName = "_";//Разделитель индексов
indexMatrix1 = [ 1,  2;..
                10, 15];
indexMatrix2 = [3;..
                6;..
                9];
grid = %t;//Просто конкатенуем

//Эталонная матрица индексов
etIndexMatrix = [ 1,  2, 3;..
                  1,  2, 6;..
                  1,  2, 9;..
                 10, 15, 3;..
                 10, 15, 6;..
                 10, 15, 9];

//Эталонная конкатенованая матрица
etIndexNames = ["beginName1_2_3NameEnd";..
                "beginName1_2_6NameEnd";..
                "beginName1_2_9NameEnd";..
                "beginName10_15_3NameEnd";..
                "beginName10_15_6NameEnd";..
                "beginName10_15_9NameEnd"];
etIndexNames1 = ["beginName1_2NameEnd";..
                 "beginName10_15NameEnd"];
etIndexNames2 = ["beginName3NameEnd";..
                 "beginName6NameEnd";..
                 "beginName9NameEnd"];

//Запускаем функцию
[indexNames,..
 indexMatrix] = NamesIndexes(beginPartName,endPartName,..
                             indexSepName,indexMatrix1,..
                             indexMatrix2,grid);

//Проверяем результат запуска
assert_checkequal(indexNames,etIndexNames);
assert_checkequal(indexMatrix,etIndexMatrix);

//Запускаем функцию
[indexNames,..
 indexMatrix] = NamesIndexes(beginPartName,endPartName,..
                             indexSepName,indexMatrix1,'',grid);

//Проверяем результат запуска
assert_checkequal(indexNames,etIndexNames1);
assert_checkequal(indexMatrix,indexMatrix1);

//Запускаем функцию
[indexNames,..
 indexMatrix] = NamesIndexes(beginPartName,endPartName,..
                             indexSepName,'',indexMatrix2,grid);

//Проверяем результат запуска
assert_checkequal(indexNames,etIndexNames2);
assert_checkequal(indexMatrix,indexMatrix2);

//Запускаем функцию
[indexNames,..
 indexMatrix] = NamesIndexes(beginPartName,endPartName,..
                             indexSepName,indexMatrix1,..
                             indexMatrix2);

//Проверяем результат запуска
assert_checkequal(indexNames,etIndexNames);
assert_checkequal(indexMatrix,etIndexMatrix);

//Запускаем функцию
[indexNames,..
 indexMatrix] = NamesIndexes(beginPartName,endPartName,..
                             indexSepName,indexMatrix1,'');

//Проверяем результат запуска
assert_checkequal(indexNames,etIndexNames1);
assert_checkequal(indexMatrix,indexMatrix1);

//Запускаем функцию
[indexNames,..
 indexMatrix] = NamesIndexes(beginPartName,endPartName,..
                             indexSepName,'',indexMatrix2);

//Проверяем результат запуска
assert_checkequal(indexNames,etIndexNames2);
assert_checkequal(indexMatrix,indexMatrix2);

//Запускаем функцию
[indexNames,..
 indexMatrix] = NamesIndexes(beginPartName,endPartName,..
                             indexSepName,indexMatrix1,[],grid);

//Проверяем результат запуска
assert_checkequal(indexNames,etIndexNames1);
assert_checkequal(indexMatrix,indexMatrix1);

//Запускаем функцию
[indexNames,..
 indexMatrix] = NamesIndexes(beginPartName,endPartName,..
                             indexSepName,[],indexMatrix2,grid);

//Проверяем результат запуска
assert_checkequal(indexNames,etIndexNames2);
assert_checkequal(indexMatrix,indexMatrix2);

//Запускаем функцию
[indexNames,..
 indexMatrix] = NamesIndexes(beginPartName,endPartName,..
                             indexSepName,indexMatrix1,[]);

//Проверяем результат запуска
assert_checkequal(indexNames,etIndexNames1);
assert_checkequal(indexMatrix,indexMatrix1);

//Запускаем функцию
[indexNames,..
 indexMatrix] = NamesIndexes(beginPartName,endPartName,..
                             indexSepName,[],indexMatrix2);

//Проверяем результат запуска
assert_checkequal(indexNames,etIndexNames2);
assert_checkequal(indexMatrix,indexMatrix2);
