//Исходные данные для тестирования
beginPartName = "begName";//Начало имени
endPartName = "NameEn";//Конец имени
indexSepName = "%";//Разделитель индексов
indexMatrix1 = [ 5,  9, 10;..
                33, 61, 76;..
                80, 95, 60;..
                93, 87, 15;..
                12, 44, 59;..
                15, 45, 52];
indexMatrix2 = [ 2, 35;..
                 6, 42;..
                16, 53;..
                 1, 11];
grid = %t;//Просто конкатенуем

//Эталонная матрица индексов
etIndexMatrix = [ 5,  9, 10,  2, 35;..
                  5,  9, 10,  6, 42;..
                  5,  9, 10, 16, 53;..
                  5,  9, 10,  1, 11;..
                 33, 61, 76,  2, 35;..
                 33, 61, 76,  6, 42;..
                 33, 61, 76, 16, 53;..
                 33, 61, 76,  1, 11;..
                 80, 95, 60,  2, 35;..
                 80, 95, 60,  6, 42;..
                 80, 95, 60, 16, 53;..
                 80, 95, 60,  1, 11;..
                 93, 87, 15,  2, 35;..
                 93, 87, 15,  6, 42;..
                 93, 87, 15, 16, 53;..
                 93, 87, 15,  1, 11;..
                 12, 44, 59,  2, 35;..
                 12, 44, 59,  6, 42;..
                 12, 44, 59, 16, 53;..
                 12, 44, 59,  1, 11;..
                 15, 45, 52,  2, 35;..
                 15, 45, 52,  6, 42;..
                 15, 45, 52, 16, 53;..
                 15, 45, 52,  1, 11];

//Эталонная конкатенованая матрица
etIndexNames = ["begName5%9%10%2%35NameEn";..
                "begName5%9%10%6%42NameEn";..
                "begName5%9%10%16%53NameEn";..
                "begName5%9%10%1%11NameEn";..
                "begName33%61%76%2%35NameEn";..
                "begName33%61%76%6%42NameEn";..
                "begName33%61%76%16%53NameEn";..
                "begName33%61%76%1%11NameEn";..
                "begName80%95%60%2%35NameEn";..
                "begName80%95%60%6%42NameEn";..
                "begName80%95%60%16%53NameEn";..
                "begName80%95%60%1%11NameEn";..
                "begName93%87%15%2%35NameEn";..
                "begName93%87%15%6%42NameEn";..
                "begName93%87%15%16%53NameEn";..
                "begName93%87%15%1%11NameEn";..
                "begName12%44%59%2%35NameEn";..
                "begName12%44%59%6%42NameEn";..
                "begName12%44%59%16%53NameEn";..
                "begName12%44%59%1%11NameEn";..
                "begName15%45%52%2%35NameEn";..
                "begName15%45%52%6%42NameEn";..
                "begName15%45%52%16%53NameEn";..
                "begName15%45%52%1%11NameEn"];
etIndexNames1 = ["begName5%9%10NameEn";..
                 "begName33%61%76NameEn";..
                 "begName80%95%60NameEn";..
                 "begName93%87%15NameEn";..
                 "begName12%44%59NameEn";..
                 "begName15%45%52NameEn"];
etIndexNames2 = ["begName2%35NameEn";..
                 "begName6%42NameEn";..
                 "begName16%53NameEn";..
                 "begName1%11NameEn"];

//Запускаем функцию
[indexNames,..
 indexMatrix] = NamesIndexes(beginPartName,endPartName,..
                             indexSepName,indexMatrix1,..
                             indexMatrix2,grid);

//Проверяем результат запуска
assert_checkequal(indexNames,etIndexNames);
assert_checkequal(indexMatrix,etIndexMatrix);

//Запускаем функцию
[indexNames,..
 indexMatrix] = NamesIndexes(beginPartName,endPartName,..
                             indexSepName,indexMatrix1,[],grid);

//Проверяем результат запуска
assert_checkequal(indexNames,etIndexNames1);
assert_checkequal(indexMatrix,indexMatrix1);

//Запускаем функцию
[indexNames,..
 indexMatrix] = NamesIndexes(beginPartName,endPartName,..
                             indexSepName,[],indexMatrix2,grid);

//Проверяем результат запуска
assert_checkequal(indexNames,etIndexNames2);
assert_checkequal(indexMatrix,indexMatrix2);

//Запускаем функцию
[indexNames,..
 indexMatrix] = NamesIndexes(beginPartName,endPartName,..
                             indexSepName,indexMatrix1,..
                             indexMatrix2);

//Проверяем результат запуска
assert_checkequal(indexNames,etIndexNames);
assert_checkequal(indexMatrix,etIndexMatrix);

//Запускаем функцию
[indexNames,..
 indexMatrix] = NamesIndexes(beginPartName,endPartName,..
                             indexSepName,indexMatrix1,[]);

//Проверяем результат запуска
assert_checkequal(indexNames,etIndexNames1);
assert_checkequal(indexMatrix,indexMatrix1);

//Запускаем функцию
[indexNames,..
 indexMatrix] = NamesIndexes(beginPartName,endPartName,..
                             indexSepName,[],indexMatrix2);

//Проверяем результат запуска
assert_checkequal(indexNames,etIndexNames2);
assert_checkequal(indexMatrix,indexMatrix2);
