//Исходные данные для тестирования
beginPartName = "begName";//Начало имени
endPartName = "NameEn";//Конец имени
indexSepName = "%";//Разделитель индексов
indexMatrix1 = [ 4,  8, 12;..
                 9, 11, 16;..
                10, 15, 20;..
                13, 17, 25;..
                22, 24, 29];
indexMatrix2 = [1, 7];

//Эталонная матрица индексов
etIndexMatrix12 = [ 4,  8, 12, 1, 7;..
                    9, 11, 16, 1, 7;..
                   10, 15, 20, 1, 7;..
                   13, 17, 25, 1, 7;..
                   22, 24, 29, 1, 7];
etIndexMatrix21 = [1, 7,  4,  8, 12;..
                   1, 7,  9, 11, 16;..
                   1, 7, 10, 15, 20;..
                   1, 7, 13, 17, 25;..
                   1, 7, 22, 24, 29];

//Эталонная конкатенованая матрица
etIndexNames12 = ["begName4%8%12%1%7NameEn";..
                  "begName9%11%16%1%7NameEn";..
                  "begName10%15%20%1%7NameEn";..
                  "begName13%17%25%1%7NameEn";..
                  "begName22%24%29%1%7NameEn"];
etIndexNames21 = ["begName1%7%4%8%12NameEn";..
                  "begName1%7%9%11%16NameEn";..
                  "begName1%7%10%15%20NameEn";..
                  "begName1%7%13%17%25NameEn";..
                  "begName1%7%22%24%29NameEn"];

//Запускаем функцию
[indexNames12,..
 indexMatrix12] = NamesIndexes(beginPartName,endPartName,indexSepName,indexMatrix1,indexMatrix2,%f);
[indexNames21,..
 indexMatrix21] = NamesIndexes(beginPartName,endPartName,indexSepName,indexMatrix2,indexMatrix1,%f);

//Проверяем результат запуска
assert_checkequal(indexNames12, etIndexNames12);
assert_checkequal(indexNames21, etIndexNames21);
assert_checkequal(indexMatrix12, etIndexMatrix12);
assert_checkequal(indexMatrix21, etIndexMatrix21);

//Запускаем функцию
[indexNames12,..
 indexMatrix12] = NamesIndexes(beginPartName,endPartName,indexSepName,indexMatrix1,indexMatrix2,%t);
[indexNames21,..
 indexMatrix21] = NamesIndexes(beginPartName,endPartName,indexSepName,indexMatrix2,indexMatrix1,%t);

//Проверяем результат запуска
assert_checkequal(indexNames12, etIndexNames12);
assert_checkequal(indexNames21, etIndexNames21);
assert_checkequal(indexMatrix12, etIndexMatrix12);
assert_checkequal(indexMatrix21, etIndexMatrix21);

//Запускаем функцию
[indexNames12,..
 indexMatrix12] = NamesIndexes(beginPartName,endPartName,indexSepName,indexMatrix1,indexMatrix2);
[indexNames21,..
 indexMatrix21] = NamesIndexes(beginPartName,endPartName,indexSepName,indexMatrix2,indexMatrix1);

//Проверяем результат запуска
assert_checkequal(indexNames12, etIndexNames12);
assert_checkequal(indexNames21, etIndexNames21);
assert_checkequal(indexMatrix12, etIndexMatrix12);
assert_checkequal(indexMatrix21, etIndexMatrix21);
