//Исходные данные для тестирования
beginPartName = "beginName";//Начало имени
endPartName = "NameEnd";//Конец имени
indexSepName = "_";//Разделитель индексов
minIndexes = [1, 2, 5];
maxIndexes = [3; 4; 8];
stepIndexes = [1, 2, 1];
elementsIndexes = ['as','rg','wq','1w','xa','hd','3d','l'];
grid = %t;

//Эталонный список индексов
etIndexMatrix = ['as','rg','xa';..
                 'as','rg','hd';..
                 'as','rg','3d';..
                 'as','rg', 'l';..
                 'as','1w','xa';..
                 'as','1w','hd';..
                 'as','1w','3d';..
                 'as','1w', 'l';..
                 'rg','rg','xa';..
                 'rg','rg','hd';..
                 'rg','rg','3d';..
                 'rg','rg', 'l';..
                 'rg','1w','xa';..
                 'rg','1w','hd';..
                 'rg','1w','3d';..
                 'rg','1w', 'l';..
                 'wq','rg','xa';..
                 'wq','rg','hd';..
                 'wq','rg','3d';..
                 'wq','rg', 'l';..
                 'wq','1w','xa';..
                 'wq','1w','hd';..
                 'wq','1w','3d';..
                 'wq','1w', 'l'];

//Массив индексируемых имен
etIndexNames = ['beginNameas_rg_xaNameEnd';..
                'beginNameas_rg_hdNameEnd';..
                'beginNameas_rg_3dNameEnd';..
                'beginNameas_rg_lNameEnd';..
                'beginNameas_1w_xaNameEnd';..
                'beginNameas_1w_hdNameEnd';..
                'beginNameas_1w_3dNameEnd';..
                'beginNameas_1w_lNameEnd';..
                'beginNamerg_rg_xaNameEnd';..
                'beginNamerg_rg_hdNameEnd';..
                'beginNamerg_rg_3dNameEnd';..
                'beginNamerg_rg_lNameEnd';..
                'beginNamerg_1w_xaNameEnd';..
                'beginNamerg_1w_hdNameEnd';..
                'beginNamerg_1w_3dNameEnd';..
                'beginNamerg_1w_lNameEnd';..
                'beginNamewq_rg_xaNameEnd';..
                'beginNamewq_rg_hdNameEnd';..
                'beginNamewq_rg_3dNameEnd';..
                'beginNamewq_rg_lNameEnd';..
                'beginNamewq_1w_xaNameEnd';..
                'beginNamewq_1w_hdNameEnd';..
                'beginNamewq_1w_3dNameEnd';..
                'beginNamewq_1w_lNameEnd'];

//Запускаем функцию
[indexNames,..
 indexMatrix] = NamesIndexesRange(beginPartName,endPartName,..
                                  indexSepName,minIndexes,..
                                  maxIndexes,stepIndexes,..
                                  elementsIndexes,grid);

//Проверяем результат запуска
assert_checkequal(indexNames,etIndexNames);
assert_checkequal(indexMatrix,etIndexMatrix);

//Запускаем функцию
[indexNames,..
 indexMatrix] = NamesIndexesRange(beginPartName,endPartName,..
                                  indexSepName,minIndexes,..
                                  maxIndexes,stepIndexes,..
                                  elementsIndexes);

//Проверяем результат запуска
assert_checkequal(indexNames,etIndexNames);
assert_checkequal(indexMatrix,etIndexMatrix);
