//Исходные данные для тестирования
beginPartName = "bName";//Начало имени
endPartName = "NameE";//Конец имени
indexSepName = ".";//Разделитель индексов
minIndexes = [1, 1,  1, 1, 1];
maxIndexes = [5; 7; 35; 3; 4];
stepIndexes = [1, 1, 1, 1, 1];
grid = [%t,%f,%t,%t];

//Эталонный список индексов
etIndexMatrix = [1,1, 1,1,1;..
                 1,1, 1,1,2;..
                 1,1, 1,1,3;..
                 1,1, 1,1,4;..
                 1,1, 1,2,1;..
                 1,1, 1,2,2;..
                 1,1, 1,2,3;..
                 1,1, 1,2,4;..
                 1,1, 1,3,1;..
                 1,1, 1,3,2;..
                 1,1, 1,3,3;..
                 1,1, 1,3,4;..
                 1,2, 2,1,1;..
                 1,2, 2,1,2;..
                 1,2, 2,1,3;..
                 1,2, 2,1,4;..
                 1,2, 2,2,1;..
                 1,2, 2,2,2;..
                 1,2, 2,2,3;..
                 1,2, 2,2,4;..
                 1,2, 2,3,1;..
                 1,2, 2,3,2;..
                 1,2, 2,3,3;..
                 1,2, 2,3,4;..
                 1,3, 3,1,1;..
                 1,3, 3,1,2;..
                 1,3, 3,1,3;..
                 1,3, 3,1,4;..
                 1,3, 3,2,1;..
                 1,3, 3,2,2;..
                 1,3, 3,2,3;..
                 1,3, 3,2,4;..
                 1,3, 3,3,1;..
                 1,3, 3,3,2;..
                 1,3, 3,3,3;..
                 1,3, 3,3,4;..
                 1,4, 4,1,1;..
                 1,4, 4,1,2;..
                 1,4, 4,1,3;..
                 1,4, 4,1,4;..
                 1,4, 4,2,1;..
                 1,4, 4,2,2;..
                 1,4, 4,2,3;..
                 1,4, 4,2,4;..
                 1,4, 4,3,1;..
                 1,4, 4,3,2;..
                 1,4, 4,3,3;..
                 1,4, 4,3,4;..
                 1,5, 5,1,1;..
                 1,5, 5,1,2;..
                 1,5, 5,1,3;..
                 1,5, 5,1,4;..
                 1,5, 5,2,1;..
                 1,5, 5,2,2;..
                 1,5, 5,2,3;..
                 1,5, 5,2,4;..
                 1,5, 5,3,1;..
                 1,5, 5,3,2;..
                 1,5, 5,3,3;..
                 1,5, 5,3,4;..
                 1,6, 6,1,1;..
                 1,6, 6,1,2;..
                 1,6, 6,1,3;..
                 1,6, 6,1,4;..
                 1,6, 6,2,1;..
                 1,6, 6,2,2;..
                 1,6, 6,2,3;..
                 1,6, 6,2,4;..
                 1,6, 6,3,1;..
                 1,6, 6,3,2;..
                 1,6, 6,3,3;..
                 1,6, 6,3,4;..
                 1,7, 7,1,1;..
                 1,7, 7,1,2;..
                 1,7, 7,1,3;..
                 1,7, 7,1,4;..
                 1,7, 7,2,1;..
                 1,7, 7,2,2;..
                 1,7, 7,2,3;..
                 1,7, 7,2,4;..
                 1,7, 7,3,1;..
                 1,7, 7,3,2;..
                 1,7, 7,3,3;..
                 1,7, 7,3,4;..
                 2,1, 8,1,1;..
                 2,1, 8,1,2;..
                 2,1, 8,1,3;..
                 2,1, 8,1,4;..
                 2,1, 8,2,1;..
                 2,1, 8,2,2;..
                 2,1, 8,2,3;..
                 2,1, 8,2,4;..
                 2,1, 8,3,1;..
                 2,1, 8,3,2;..
                 2,1, 8,3,3;..
                 2,1, 8,3,4;..
                 2,2, 9,1,1;..
                 2,2, 9,1,2;..
                 2,2, 9,1,3;..
                 2,2, 9,1,4;..
                 2,2, 9,2,1;..
                 2,2, 9,2,2;..
                 2,2, 9,2,3;..
                 2,2, 9,2,4;..
                 2,2, 9,3,1;..
                 2,2, 9,3,2;..
                 2,2, 9,3,3;..
                 2,2, 9,3,4;..
                 2,3,10,1,1;..
                 2,3,10,1,2;..
                 2,3,10,1,3;..
                 2,3,10,1,4;..
                 2,3,10,2,1;..
                 2,3,10,2,2;..
                 2,3,10,2,3;..
                 2,3,10,2,4;..
                 2,3,10,3,1;..
                 2,3,10,3,2;..
                 2,3,10,3,3;..
                 2,3,10,3,4;..
                 2,4,11,1,1;..
                 2,4,11,1,2;..
                 2,4,11,1,3;..
                 2,4,11,1,4;..
                 2,4,11,2,1;..
                 2,4,11,2,2;..
                 2,4,11,2,3;..
                 2,4,11,2,4;..
                 2,4,11,3,1;..
                 2,4,11,3,2;..
                 2,4,11,3,3;..
                 2,4,11,3,4;..
                 2,5,12,1,1;..
                 2,5,12,1,2;..
                 2,5,12,1,3;..
                 2,5,12,1,4;..
                 2,5,12,2,1;..
                 2,5,12,2,2;..
                 2,5,12,2,3;..
                 2,5,12,2,4;..
                 2,5,12,3,1;..
                 2,5,12,3,2;..
                 2,5,12,3,3;..
                 2,5,12,3,4;..
                 2,6,13,1,1;..
                 2,6,13,1,2;..
                 2,6,13,1,3;..
                 2,6,13,1,4;..
                 2,6,13,2,1;..
                 2,6,13,2,2;..
                 2,6,13,2,3;..
                 2,6,13,2,4;..
                 2,6,13,3,1;..
                 2,6,13,3,2;..
                 2,6,13,3,3;..
                 2,6,13,3,4;..
                 2,7,14,1,1;..
                 2,7,14,1,2;..
                 2,7,14,1,3;..
                 2,7,14,1,4;..
                 2,7,14,2,1;..
                 2,7,14,2,2;..
                 2,7,14,2,3;..
                 2,7,14,2,4;..
                 2,7,14,3,1;..
                 2,7,14,3,2;..
                 2,7,14,3,3;..
                 2,7,14,3,4;..
                 3,1,15,1,1;..
                 3,1,15,1,2;..
                 3,1,15,1,3;..
                 3,1,15,1,4;..
                 3,1,15,2,1;..
                 3,1,15,2,2;..
                 3,1,15,2,3;..
                 3,1,15,2,4;..
                 3,1,15,3,1;..
                 3,1,15,3,2;..
                 3,1,15,3,3;..
                 3,1,15,3,4;..
                 3,2,16,1,1;..
                 3,2,16,1,2;..
                 3,2,16,1,3;..
                 3,2,16,1,4;..
                 3,2,16,2,1;..
                 3,2,16,2,2;..
                 3,2,16,2,3;..
                 3,2,16,2,4;..
                 3,2,16,3,1;..
                 3,2,16,3,2;..
                 3,2,16,3,3;..
                 3,2,16,3,4;..
                 3,3,17,1,1;..
                 3,3,17,1,2;..
                 3,3,17,1,3;..
                 3,3,17,1,4;..
                 3,3,17,2,1;..
                 3,3,17,2,2;..
                 3,3,17,2,3;..
                 3,3,17,2,4;..
                 3,3,17,3,1;..
                 3,3,17,3,2;..
                 3,3,17,3,3;..
                 3,3,17,3,4;..
                 3,4,18,1,1;..
                 3,4,18,1,2;..
                 3,4,18,1,3;..
                 3,4,18,1,4;..
                 3,4,18,2,1;..
                 3,4,18,2,2;..
                 3,4,18,2,3;..
                 3,4,18,2,4;..
                 3,4,18,3,1;..
                 3,4,18,3,2;..
                 3,4,18,3,3;..
                 3,4,18,3,4;..
                 3,5,19,1,1;..
                 3,5,19,1,2;..
                 3,5,19,1,3;..
                 3,5,19,1,4;..
                 3,5,19,2,1;..
                 3,5,19,2,2;..
                 3,5,19,2,3;..
                 3,5,19,2,4;..
                 3,5,19,3,1;..
                 3,5,19,3,2;..
                 3,5,19,3,3;..
                 3,5,19,3,4;..
                 3,6,20,1,1;..
                 3,6,20,1,2;..
                 3,6,20,1,3;..
                 3,6,20,1,4;..
                 3,6,20,2,1;..
                 3,6,20,2,2;..
                 3,6,20,2,3;..
                 3,6,20,2,4;..
                 3,6,20,3,1;..
                 3,6,20,3,2;..
                 3,6,20,3,3;..
                 3,6,20,3,4;..
                 3,7,21,1,1;..
                 3,7,21,1,2;..
                 3,7,21,1,3;..
                 3,7,21,1,4;..
                 3,7,21,2,1;..
                 3,7,21,2,2;..
                 3,7,21,2,3;..
                 3,7,21,2,4;..
                 3,7,21,3,1;..
                 3,7,21,3,2;..
                 3,7,21,3,3;..
                 3,7,21,3,4;..
                 4,1,22,1,1;..
                 4,1,22,1,2;..
                 4,1,22,1,3;..
                 4,1,22,1,4;..
                 4,1,22,2,1;..
                 4,1,22,2,2;..
                 4,1,22,2,3;..
                 4,1,22,2,4;..
                 4,1,22,3,1;..
                 4,1,22,3,2;..
                 4,1,22,3,3;..
                 4,1,22,3,4;..
                 4,2,23,1,1;..
                 4,2,23,1,2;..
                 4,2,23,1,3;..
                 4,2,23,1,4;..
                 4,2,23,2,1;..
                 4,2,23,2,2;..
                 4,2,23,2,3;..
                 4,2,23,2,4;..
                 4,2,23,3,1;..
                 4,2,23,3,2;..
                 4,2,23,3,3;..
                 4,2,23,3,4;..
                 4,3,24,1,1;..
                 4,3,24,1,2;..
                 4,3,24,1,3;..
                 4,3,24,1,4;..
                 4,3,24,2,1;..
                 4,3,24,2,2;..
                 4,3,24,2,3;..
                 4,3,24,2,4;..
                 4,3,24,3,1;..
                 4,3,24,3,2;..
                 4,3,24,3,3;..
                 4,3,24,3,4;..
                 4,4,25,1,1;..
                 4,4,25,1,2;..
                 4,4,25,1,3;..
                 4,4,25,1,4;..
                 4,4,25,2,1;..
                 4,4,25,2,2;..
                 4,4,25,2,3;..
                 4,4,25,2,4;..
                 4,4,25,3,1;..
                 4,4,25,3,2;..
                 4,4,25,3,3;..
                 4,4,25,3,4;..
                 4,5,26,1,1;..
                 4,5,26,1,2;..
                 4,5,26,1,3;..
                 4,5,26,1,4;..
                 4,5,26,2,1;..
                 4,5,26,2,2;..
                 4,5,26,2,3;..
                 4,5,26,2,4;..
                 4,5,26,3,1;..
                 4,5,26,3,2;..
                 4,5,26,3,3;..
                 4,5,26,3,4;..
                 4,6,27,1,1;..
                 4,6,27,1,2;..
                 4,6,27,1,3;..
                 4,6,27,1,4;..
                 4,6,27,2,1;..
                 4,6,27,2,2;..
                 4,6,27,2,3;..
                 4,6,27,2,4;..
                 4,6,27,3,1;..
                 4,6,27,3,2;..
                 4,6,27,3,3;..
                 4,6,27,3,4;..
                 4,7,28,1,1;..
                 4,7,28,1,2;..
                 4,7,28,1,3;..
                 4,7,28,1,4;..
                 4,7,28,2,1;..
                 4,7,28,2,2;..
                 4,7,28,2,3;..
                 4,7,28,2,4;..
                 4,7,28,3,1;..
                 4,7,28,3,2;..
                 4,7,28,3,3;..
                 4,7,28,3,4;..
                 5,1,29,1,1;..
                 5,1,29,1,2;..
                 5,1,29,1,3;..
                 5,1,29,1,4;..
                 5,1,29,2,1;..
                 5,1,29,2,2;..
                 5,1,29,2,3;..
                 5,1,29,2,4;..
                 5,1,29,3,1;..
                 5,1,29,3,2;..
                 5,1,29,3,3;..
                 5,1,29,3,4;..
                 5,2,30,1,1;..
                 5,2,30,1,2;..
                 5,2,30,1,3;..
                 5,2,30,1,4;..
                 5,2,30,2,1;..
                 5,2,30,2,2;..
                 5,2,30,2,3;..
                 5,2,30,2,4;..
                 5,2,30,3,1;..
                 5,2,30,3,2;..
                 5,2,30,3,3;..
                 5,2,30,3,4;..
                 5,3,31,1,1;..
                 5,3,31,1,2;..
                 5,3,31,1,3;..
                 5,3,31,1,4;..
                 5,3,31,2,1;..
                 5,3,31,2,2;..
                 5,3,31,2,3;..
                 5,3,31,2,4;..
                 5,3,31,3,1;..
                 5,3,31,3,2;..
                 5,3,31,3,3;..
                 5,3,31,3,4;..
                 5,4,32,1,1;..
                 5,4,32,1,2;..
                 5,4,32,1,3;..
                 5,4,32,1,4;..
                 5,4,32,2,1;..
                 5,4,32,2,2;..
                 5,4,32,2,3;..
                 5,4,32,2,4;..
                 5,4,32,3,1;..
                 5,4,32,3,2;..
                 5,4,32,3,3;..
                 5,4,32,3,4;..
                 5,5,33,1,1;..
                 5,5,33,1,2;..
                 5,5,33,1,3;..
                 5,5,33,1,4;..
                 5,5,33,2,1;..
                 5,5,33,2,2;..
                 5,5,33,2,3;..
                 5,5,33,2,4;..
                 5,5,33,3,1;..
                 5,5,33,3,2;..
                 5,5,33,3,3;..
                 5,5,33,3,4;..
                 5,6,34,1,1;..
                 5,6,34,1,2;..
                 5,6,34,1,3;..
                 5,6,34,1,4;..
                 5,6,34,2,1;..
                 5,6,34,2,2;..
                 5,6,34,2,3;..
                 5,6,34,2,4;..
                 5,6,34,3,1;..
                 5,6,34,3,2;..
                 5,6,34,3,3;..
                 5,6,34,3,4;..
                 5,7,35,1,1;..
                 5,7,35,1,2;..
                 5,7,35,1,3;..
                 5,7,35,1,4;..
                 5,7,35,2,1;..
                 5,7,35,2,2;..
                 5,7,35,2,3;..
                 5,7,35,2,4;..
                 5,7,35,3,1;..
                 5,7,35,3,2;..
                 5,7,35,3,3;..
                 5,7,35,3,4];

//Массив индексируемых имен
etIndexNames = ['bName1.1.1.1.1NameE';..
                'bName1.1.1.1.2NameE';..
                'bName1.1.1.1.3NameE';..
                'bName1.1.1.1.4NameE';..
                'bName1.1.1.2.1NameE';..
                'bName1.1.1.2.2NameE';..
                'bName1.1.1.2.3NameE';..
                'bName1.1.1.2.4NameE';..
                'bName1.1.1.3.1NameE';..
                'bName1.1.1.3.2NameE';..
                'bName1.1.1.3.3NameE';..
                'bName1.1.1.3.4NameE';..
                'bName1.2.2.1.1NameE';..
                'bName1.2.2.1.2NameE';..
                'bName1.2.2.1.3NameE';..
                'bName1.2.2.1.4NameE';..
                'bName1.2.2.2.1NameE';..
                'bName1.2.2.2.2NameE';..
                'bName1.2.2.2.3NameE';..
                'bName1.2.2.2.4NameE';..
                'bName1.2.2.3.1NameE';..
                'bName1.2.2.3.2NameE';..
                'bName1.2.2.3.3NameE';..
                'bName1.2.2.3.4NameE';..
                'bName1.3.3.1.1NameE';..
                'bName1.3.3.1.2NameE';..
                'bName1.3.3.1.3NameE';..
                'bName1.3.3.1.4NameE';..
                'bName1.3.3.2.1NameE';..
                'bName1.3.3.2.2NameE';..
                'bName1.3.3.2.3NameE';..
                'bName1.3.3.2.4NameE';..
                'bName1.3.3.3.1NameE';..
                'bName1.3.3.3.2NameE';..
                'bName1.3.3.3.3NameE';..
                'bName1.3.3.3.4NameE';..
                'bName1.4.4.1.1NameE';..
                'bName1.4.4.1.2NameE';..
                'bName1.4.4.1.3NameE';..
                'bName1.4.4.1.4NameE';..
                'bName1.4.4.2.1NameE';..
                'bName1.4.4.2.2NameE';..
                'bName1.4.4.2.3NameE';..
                'bName1.4.4.2.4NameE';..
                'bName1.4.4.3.1NameE';..
                'bName1.4.4.3.2NameE';..
                'bName1.4.4.3.3NameE';..
                'bName1.4.4.3.4NameE';..
                'bName1.5.5.1.1NameE';..
                'bName1.5.5.1.2NameE';..
                'bName1.5.5.1.3NameE';..
                'bName1.5.5.1.4NameE';..
                'bName1.5.5.2.1NameE';..
                'bName1.5.5.2.2NameE';..
                'bName1.5.5.2.3NameE';..
                'bName1.5.5.2.4NameE';..
                'bName1.5.5.3.1NameE';..
                'bName1.5.5.3.2NameE';..
                'bName1.5.5.3.3NameE';..
                'bName1.5.5.3.4NameE';..
                'bName1.6.6.1.1NameE';..
                'bName1.6.6.1.2NameE';..
                'bName1.6.6.1.3NameE';..
                'bName1.6.6.1.4NameE';..
                'bName1.6.6.2.1NameE';..
                'bName1.6.6.2.2NameE';..
                'bName1.6.6.2.3NameE';..
                'bName1.6.6.2.4NameE';..
                'bName1.6.6.3.1NameE';..
                'bName1.6.6.3.2NameE';..
                'bName1.6.6.3.3NameE';..
                'bName1.6.6.3.4NameE';..
                'bName1.7.7.1.1NameE';..
                'bName1.7.7.1.2NameE';..
                'bName1.7.7.1.3NameE';..
                'bName1.7.7.1.4NameE';..
                'bName1.7.7.2.1NameE';..
                'bName1.7.7.2.2NameE';..
                'bName1.7.7.2.3NameE';..
                'bName1.7.7.2.4NameE';..
                'bName1.7.7.3.1NameE';..
                'bName1.7.7.3.2NameE';..
                'bName1.7.7.3.3NameE';..
                'bName1.7.7.3.4NameE';..
                'bName2.1.8.1.1NameE';..
                'bName2.1.8.1.2NameE';..
                'bName2.1.8.1.3NameE';..
                'bName2.1.8.1.4NameE';..
                'bName2.1.8.2.1NameE';..
                'bName2.1.8.2.2NameE';..
                'bName2.1.8.2.3NameE';..
                'bName2.1.8.2.4NameE';..
                'bName2.1.8.3.1NameE';..
                'bName2.1.8.3.2NameE';..
                'bName2.1.8.3.3NameE';..
                'bName2.1.8.3.4NameE';..
                'bName2.2.9.1.1NameE';..
                'bName2.2.9.1.2NameE';..
                'bName2.2.9.1.3NameE';..
                'bName2.2.9.1.4NameE';..
                'bName2.2.9.2.1NameE';..
                'bName2.2.9.2.2NameE';..
                'bName2.2.9.2.3NameE';..
                'bName2.2.9.2.4NameE';..
                'bName2.2.9.3.1NameE';..
                'bName2.2.9.3.2NameE';..
                'bName2.2.9.3.3NameE';..
                'bName2.2.9.3.4NameE';..
                'bName2.3.10.1.1NameE';..
                'bName2.3.10.1.2NameE';..
                'bName2.3.10.1.3NameE';..
                'bName2.3.10.1.4NameE';..
                'bName2.3.10.2.1NameE';..
                'bName2.3.10.2.2NameE';..
                'bName2.3.10.2.3NameE';..
                'bName2.3.10.2.4NameE';..
                'bName2.3.10.3.1NameE';..
                'bName2.3.10.3.2NameE';..
                'bName2.3.10.3.3NameE';..
                'bName2.3.10.3.4NameE';..
                'bName2.4.11.1.1NameE';..
                'bName2.4.11.1.2NameE';..
                'bName2.4.11.1.3NameE';..
                'bName2.4.11.1.4NameE';..
                'bName2.4.11.2.1NameE';..
                'bName2.4.11.2.2NameE';..
                'bName2.4.11.2.3NameE';..
                'bName2.4.11.2.4NameE';..
                'bName2.4.11.3.1NameE';..
                'bName2.4.11.3.2NameE';..
                'bName2.4.11.3.3NameE';..
                'bName2.4.11.3.4NameE';..
                'bName2.5.12.1.1NameE';..
                'bName2.5.12.1.2NameE';..
                'bName2.5.12.1.3NameE';..
                'bName2.5.12.1.4NameE';..
                'bName2.5.12.2.1NameE';..
                'bName2.5.12.2.2NameE';..
                'bName2.5.12.2.3NameE';..
                'bName2.5.12.2.4NameE';..
                'bName2.5.12.3.1NameE';..
                'bName2.5.12.3.2NameE';..
                'bName2.5.12.3.3NameE';..
                'bName2.5.12.3.4NameE';..
                'bName2.6.13.1.1NameE';..
                'bName2.6.13.1.2NameE';..
                'bName2.6.13.1.3NameE';..
                'bName2.6.13.1.4NameE';..
                'bName2.6.13.2.1NameE';..
                'bName2.6.13.2.2NameE';..
                'bName2.6.13.2.3NameE';..
                'bName2.6.13.2.4NameE';..
                'bName2.6.13.3.1NameE';..
                'bName2.6.13.3.2NameE';..
                'bName2.6.13.3.3NameE';..
                'bName2.6.13.3.4NameE';..
                'bName2.7.14.1.1NameE';..
                'bName2.7.14.1.2NameE';..
                'bName2.7.14.1.3NameE';..
                'bName2.7.14.1.4NameE';..
                'bName2.7.14.2.1NameE';..
                'bName2.7.14.2.2NameE';..
                'bName2.7.14.2.3NameE';..
                'bName2.7.14.2.4NameE';..
                'bName2.7.14.3.1NameE';..
                'bName2.7.14.3.2NameE';..
                'bName2.7.14.3.3NameE';..
                'bName2.7.14.3.4NameE';..
                'bName3.1.15.1.1NameE';..
                'bName3.1.15.1.2NameE';..
                'bName3.1.15.1.3NameE';..
                'bName3.1.15.1.4NameE';..
                'bName3.1.15.2.1NameE';..
                'bName3.1.15.2.2NameE';..
                'bName3.1.15.2.3NameE';..
                'bName3.1.15.2.4NameE';..
                'bName3.1.15.3.1NameE';..
                'bName3.1.15.3.2NameE';..
                'bName3.1.15.3.3NameE';..
                'bName3.1.15.3.4NameE';..
                'bName3.2.16.1.1NameE';..
                'bName3.2.16.1.2NameE';..
                'bName3.2.16.1.3NameE';..
                'bName3.2.16.1.4NameE';..
                'bName3.2.16.2.1NameE';..
                'bName3.2.16.2.2NameE';..
                'bName3.2.16.2.3NameE';..
                'bName3.2.16.2.4NameE';..
                'bName3.2.16.3.1NameE';..
                'bName3.2.16.3.2NameE';..
                'bName3.2.16.3.3NameE';..
                'bName3.2.16.3.4NameE';..
                'bName3.3.17.1.1NameE';..
                'bName3.3.17.1.2NameE';..
                'bName3.3.17.1.3NameE';..
                'bName3.3.17.1.4NameE';..
                'bName3.3.17.2.1NameE';..
                'bName3.3.17.2.2NameE';..
                'bName3.3.17.2.3NameE';..
                'bName3.3.17.2.4NameE';..
                'bName3.3.17.3.1NameE';..
                'bName3.3.17.3.2NameE';..
                'bName3.3.17.3.3NameE';..
                'bName3.3.17.3.4NameE';..
                'bName3.4.18.1.1NameE';..
                'bName3.4.18.1.2NameE';..
                'bName3.4.18.1.3NameE';..
                'bName3.4.18.1.4NameE';..
                'bName3.4.18.2.1NameE';..
                'bName3.4.18.2.2NameE';..
                'bName3.4.18.2.3NameE';..
                'bName3.4.18.2.4NameE';..
                'bName3.4.18.3.1NameE';..
                'bName3.4.18.3.2NameE';..
                'bName3.4.18.3.3NameE';..
                'bName3.4.18.3.4NameE';..
                'bName3.5.19.1.1NameE';..
                'bName3.5.19.1.2NameE';..
                'bName3.5.19.1.3NameE';..
                'bName3.5.19.1.4NameE';..
                'bName3.5.19.2.1NameE';..
                'bName3.5.19.2.2NameE';..
                'bName3.5.19.2.3NameE';..
                'bName3.5.19.2.4NameE';..
                'bName3.5.19.3.1NameE';..
                'bName3.5.19.3.2NameE';..
                'bName3.5.19.3.3NameE';..
                'bName3.5.19.3.4NameE';..
                'bName3.6.20.1.1NameE';..
                'bName3.6.20.1.2NameE';..
                'bName3.6.20.1.3NameE';..
                'bName3.6.20.1.4NameE';..
                'bName3.6.20.2.1NameE';..
                'bName3.6.20.2.2NameE';..
                'bName3.6.20.2.3NameE';..
                'bName3.6.20.2.4NameE';..
                'bName3.6.20.3.1NameE';..
                'bName3.6.20.3.2NameE';..
                'bName3.6.20.3.3NameE';..
                'bName3.6.20.3.4NameE';..
                'bName3.7.21.1.1NameE';..
                'bName3.7.21.1.2NameE';..
                'bName3.7.21.1.3NameE';..
                'bName3.7.21.1.4NameE';..
                'bName3.7.21.2.1NameE';..
                'bName3.7.21.2.2NameE';..
                'bName3.7.21.2.3NameE';..
                'bName3.7.21.2.4NameE';..
                'bName3.7.21.3.1NameE';..
                'bName3.7.21.3.2NameE';..
                'bName3.7.21.3.3NameE';..
                'bName3.7.21.3.4NameE';..
                'bName4.1.22.1.1NameE';..
                'bName4.1.22.1.2NameE';..
                'bName4.1.22.1.3NameE';..
                'bName4.1.22.1.4NameE';..
                'bName4.1.22.2.1NameE';..
                'bName4.1.22.2.2NameE';..
                'bName4.1.22.2.3NameE';..
                'bName4.1.22.2.4NameE';..
                'bName4.1.22.3.1NameE';..
                'bName4.1.22.3.2NameE';..
                'bName4.1.22.3.3NameE';..
                'bName4.1.22.3.4NameE';..
                'bName4.2.23.1.1NameE';..
                'bName4.2.23.1.2NameE';..
                'bName4.2.23.1.3NameE';..
                'bName4.2.23.1.4NameE';..
                'bName4.2.23.2.1NameE';..
                'bName4.2.23.2.2NameE';..
                'bName4.2.23.2.3NameE';..
                'bName4.2.23.2.4NameE';..
                'bName4.2.23.3.1NameE';..
                'bName4.2.23.3.2NameE';..
                'bName4.2.23.3.3NameE';..
                'bName4.2.23.3.4NameE';..
                'bName4.3.24.1.1NameE';..
                'bName4.3.24.1.2NameE';..
                'bName4.3.24.1.3NameE';..
                'bName4.3.24.1.4NameE';..
                'bName4.3.24.2.1NameE';..
                'bName4.3.24.2.2NameE';..
                'bName4.3.24.2.3NameE';..
                'bName4.3.24.2.4NameE';..
                'bName4.3.24.3.1NameE';..
                'bName4.3.24.3.2NameE';..
                'bName4.3.24.3.3NameE';..
                'bName4.3.24.3.4NameE';..
                'bName4.4.25.1.1NameE';..
                'bName4.4.25.1.2NameE';..
                'bName4.4.25.1.3NameE';..
                'bName4.4.25.1.4NameE';..
                'bName4.4.25.2.1NameE';..
                'bName4.4.25.2.2NameE';..
                'bName4.4.25.2.3NameE';..
                'bName4.4.25.2.4NameE';..
                'bName4.4.25.3.1NameE';..
                'bName4.4.25.3.2NameE';..
                'bName4.4.25.3.3NameE';..
                'bName4.4.25.3.4NameE';..
                'bName4.5.26.1.1NameE';..
                'bName4.5.26.1.2NameE';..
                'bName4.5.26.1.3NameE';..
                'bName4.5.26.1.4NameE';..
                'bName4.5.26.2.1NameE';..
                'bName4.5.26.2.2NameE';..
                'bName4.5.26.2.3NameE';..
                'bName4.5.26.2.4NameE';..
                'bName4.5.26.3.1NameE';..
                'bName4.5.26.3.2NameE';..
                'bName4.5.26.3.3NameE';..
                'bName4.5.26.3.4NameE';..
                'bName4.6.27.1.1NameE';..
                'bName4.6.27.1.2NameE';..
                'bName4.6.27.1.3NameE';..
                'bName4.6.27.1.4NameE';..
                'bName4.6.27.2.1NameE';..
                'bName4.6.27.2.2NameE';..
                'bName4.6.27.2.3NameE';..
                'bName4.6.27.2.4NameE';..
                'bName4.6.27.3.1NameE';..
                'bName4.6.27.3.2NameE';..
                'bName4.6.27.3.3NameE';..
                'bName4.6.27.3.4NameE';..
                'bName4.7.28.1.1NameE';..
                'bName4.7.28.1.2NameE';..
                'bName4.7.28.1.3NameE';..
                'bName4.7.28.1.4NameE';..
                'bName4.7.28.2.1NameE';..
                'bName4.7.28.2.2NameE';..
                'bName4.7.28.2.3NameE';..
                'bName4.7.28.2.4NameE';..
                'bName4.7.28.3.1NameE';..
                'bName4.7.28.3.2NameE';..
                'bName4.7.28.3.3NameE';..
                'bName4.7.28.3.4NameE';..
                'bName5.1.29.1.1NameE';..
                'bName5.1.29.1.2NameE';..
                'bName5.1.29.1.3NameE';..
                'bName5.1.29.1.4NameE';..
                'bName5.1.29.2.1NameE';..
                'bName5.1.29.2.2NameE';..
                'bName5.1.29.2.3NameE';..
                'bName5.1.29.2.4NameE';..
                'bName5.1.29.3.1NameE';..
                'bName5.1.29.3.2NameE';..
                'bName5.1.29.3.3NameE';..
                'bName5.1.29.3.4NameE';..
                'bName5.2.30.1.1NameE';..
                'bName5.2.30.1.2NameE';..
                'bName5.2.30.1.3NameE';..
                'bName5.2.30.1.4NameE';..
                'bName5.2.30.2.1NameE';..
                'bName5.2.30.2.2NameE';..
                'bName5.2.30.2.3NameE';..
                'bName5.2.30.2.4NameE';..
                'bName5.2.30.3.1NameE';..
                'bName5.2.30.3.2NameE';..
                'bName5.2.30.3.3NameE';..
                'bName5.2.30.3.4NameE';..
                'bName5.3.31.1.1NameE';..
                'bName5.3.31.1.2NameE';..
                'bName5.3.31.1.3NameE';..
                'bName5.3.31.1.4NameE';..
                'bName5.3.31.2.1NameE';..
                'bName5.3.31.2.2NameE';..
                'bName5.3.31.2.3NameE';..
                'bName5.3.31.2.4NameE';..
                'bName5.3.31.3.1NameE';..
                'bName5.3.31.3.2NameE';..
                'bName5.3.31.3.3NameE';..
                'bName5.3.31.3.4NameE';..
                'bName5.4.32.1.1NameE';..
                'bName5.4.32.1.2NameE';..
                'bName5.4.32.1.3NameE';..
                'bName5.4.32.1.4NameE';..
                'bName5.4.32.2.1NameE';..
                'bName5.4.32.2.2NameE';..
                'bName5.4.32.2.3NameE';..
                'bName5.4.32.2.4NameE';..
                'bName5.4.32.3.1NameE';..
                'bName5.4.32.3.2NameE';..
                'bName5.4.32.3.3NameE';..
                'bName5.4.32.3.4NameE';..
                'bName5.5.33.1.1NameE';..
                'bName5.5.33.1.2NameE';..
                'bName5.5.33.1.3NameE';..
                'bName5.5.33.1.4NameE';..
                'bName5.5.33.2.1NameE';..
                'bName5.5.33.2.2NameE';..
                'bName5.5.33.2.3NameE';..
                'bName5.5.33.2.4NameE';..
                'bName5.5.33.3.1NameE';..
                'bName5.5.33.3.2NameE';..
                'bName5.5.33.3.3NameE';..
                'bName5.5.33.3.4NameE';..
                'bName5.6.34.1.1NameE';..
                'bName5.6.34.1.2NameE';..
                'bName5.6.34.1.3NameE';..
                'bName5.6.34.1.4NameE';..
                'bName5.6.34.2.1NameE';..
                'bName5.6.34.2.2NameE';..
                'bName5.6.34.2.3NameE';..
                'bName5.6.34.2.4NameE';..
                'bName5.6.34.3.1NameE';..
                'bName5.6.34.3.2NameE';..
                'bName5.6.34.3.3NameE';..
                'bName5.6.34.3.4NameE';..
                'bName5.7.35.1.1NameE';..
                'bName5.7.35.1.2NameE';..
                'bName5.7.35.1.3NameE';..
                'bName5.7.35.1.4NameE';..
                'bName5.7.35.2.1NameE';..
                'bName5.7.35.2.2NameE';..
                'bName5.7.35.2.3NameE';..
                'bName5.7.35.2.4NameE';..
                'bName5.7.35.3.1NameE';..
                'bName5.7.35.3.2NameE';..
                'bName5.7.35.3.3NameE';..
                'bName5.7.35.3.4NameE'];

//Запускаем функцию
[indexNames,..
 indexMatrix] = NamesIndexesRange(beginPartName,endPartName,..
                                  indexSepName,minIndexes,..
                                  maxIndexes,stepIndexes,grid);

//Проверяем результат запуска
assert_checkequal(indexNames,etIndexNames);
assert_checkequal(indexMatrix,etIndexMatrix);

//Запускаем функцию
[indexNames,..
 indexMatrix] = NamesIndexesRange(beginPartName,endPartName,..
                                  indexSepName,minIndexes,..
                                  maxIndexes,stepIndexes,[],grid);

//Проверяем результат запуска
assert_checkequal(indexNames,etIndexNames);
assert_checkequal(indexMatrix,etIndexMatrix);

//Запускаем функцию
[indexNames,..
 indexMatrix] = NamesIndexesRange(beginPartName,endPartName,..
                                  indexSepName,minIndexes,..
                                  maxIndexes,grid);

//Проверяем результат запуска
assert_checkequal(indexNames,etIndexNames);
assert_checkequal(indexMatrix,etIndexMatrix);

//Запускаем функцию
[indexNames,..
 indexMatrix] = NamesIndexesRange(beginPartName,endPartName,..
                                  indexSepName,maxIndexes,grid);

//Проверяем результат запуска
assert_checkequal(indexNames,etIndexNames);
assert_checkequal(indexMatrix,etIndexMatrix);
